# Constant Field Values

## org.apache.*

- org.apache.catalina.AccessLog
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `PROTOCOL_ATTRIBUTE`
  `"org.apache.catalina.AccessLog.Protocol"`
  `public static final String`
  `REMOTE_ADDR_ATTRIBUTE`
  `"org.apache.catalina.AccessLog.RemoteAddr"`
  `public static final String`
  `REMOTE_HOST_ATTRIBUTE`
  `"org.apache.catalina.AccessLog.RemoteHost"`
  `public static final String`
  `SERVER_NAME_ATTRIBUTE`
  `"org.apache.catalina.AccessLog.ServerName"`
  `public static final String`
  `SERVER_PORT_ATTRIBUTE`
  `"org.apache.catalina.AccessLog.ServerPort"`
- org.apache.catalina.Container
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ADD_CHILD_EVENT`
  `"addChild"`
  `public static final String`
  `ADD_VALVE_EVENT`
  `"addValve"`
  `public static final String`
  `REMOVE_CHILD_EVENT`
  `"removeChild"`
  `public static final String`
  `REMOVE_VALVE_EVENT`
  `"removeValve"`
- org.apache.catalina.Context
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ADD_WELCOME_FILE_EVENT`
  `"addWelcomeFile"`
  `public static final String`
  `CHANGE_SESSION_ID_EVENT`
  `"changeSessionId"`
  `public static final String`
  `CLEAR_WELCOME_FILES_EVENT`
  `"clearWelcomeFiles"`
  `public static final String`
  `REMOVE_WELCOME_FILE_EVENT`
  `"removeWelcomeFile"`
  `public static final String`
  `WEBAPP_PROTOCOL`
  `"webapp:"`
- org.apache.catalina.Globals
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ALT_DD_ATTR`
  `"org.apache.catalina.deploy.alt_dd"`
  `public static final String`
  `ASYNC_SUPPORTED_ATTR`
  `"org.apache.catalina.ASYNC_SUPPORTED"`
  `public static final String`
  `CATALINA_BASE_PROP`
  `"catalina.base"`
  `public static final String`
  `CATALINA_HOME_PROP`
  `"catalina.home"`
  `public static final String`
  `CERTIFICATES_ATTR`
  `"javax.servlet.request.X509Certificate"`
  `public static final String`
  `CIPHER_SUITE_ATTR`
  `"javax.servlet.request.cipher_suite"`
  `public static final String`
  `CLASS_PATH_ATTR`
  `"org.apache.catalina.jsp_classpath"`
  `public static final String`
  `CONNECTION_ID`
  `"org.apache.coyote.connectionID"`
  `public static final String`
  `CONTENT_TYPE_FORM_URL_ENCODING`
  `"application/x-www-form-urlencoded"`
  `public static final String`
  `CREDENTIAL_HANDLER`
  `"org.apache.catalina.CredentialHandler"`
  `public static final String`
  `DEFAULT_MBEAN_DOMAIN`
  `"Catalina"`
  `public static final String`
  `DISPATCHER_REQUEST_PATH_ATTR`
  `"org.apache.catalina.core.DISPATCHER_REQUEST_PATH"`
  `public static final String`
  `DISPATCHER_TYPE_ATTR`
  `"org.apache.catalina.core.DISPATCHER_TYPE"`
  `public static final String`
  `GSS_CREDENTIAL_ATTR`
  `"org.apache.catalina.realm.GSS_CREDENTIAL"`
  `public static final String`
  `JASPER_XML_BLOCK_EXTERNAL_INIT_PARAM`
  `"org.apache.jasper.XML_BLOCK_EXTERNAL"`
  `public static final String`
  `JASPER_XML_VALIDATION_TLD_INIT_PARAM`
  `"org.apache.jasper.XML_VALIDATE_TLD"`
  `public static final String`
  `KEY_SIZE_ATTR`
  `"javax.servlet.request.key_size"`
  `public static final String`
  `NAMED_DISPATCHER_ATTR`
  `"org.apache.catalina.NAMED"`
  `public static final String`
  `PARAMETER_PARSE_FAILED_ATTR`
  `"org.apache.catalina.parameter_parse_failed"`
  `public static final String`
  `PARAMETER_PARSE_FAILED_REASON_ATTR`
  `"org.apache.catalina.parameter_parse_failed_reason"`
  `public static final String`
  `REMOTE_ADDR_ATTRIBUTE`
  `"org.apache.tomcat.remoteAddr"`
  `public static final String`
  `REMOTE_IP_FILTER_SECURE`
  `"org.apache.catalina.filters.RemoteIpFilter.secure"`
  `public static final String`
  `REQUEST_FORWARDED_ATTRIBUTE`
  `"org.apache.tomcat.request.forwarded"`
  `public static final String`
  `RESOURCES_ATTR`
  `"org.apache.catalina.resources"`
  `public static final String`
  `SENDFILE_FILE_END_ATTR`
  `"org.apache.tomcat.sendfile.end"`
  `public static final String`
  `SENDFILE_FILE_START_ATTR`
  `"org.apache.tomcat.sendfile.start"`
  `public static final String`
  `SENDFILE_FILENAME_ATTR`
  `"org.apache.tomcat.sendfile.filename"`
  `public static final String`
  `SENDFILE_SUPPORTED_ATTR`
  `"org.apache.tomcat.sendfile.support"`
  `public static final String`
  `SSI_FLAG_ATTR`
  `"org.apache.catalina.ssi.SSIServlet"`
  `public static final String`
  `SSL_SESSION_ID_ATTR`
  `"javax.servlet.request.ssl_session_id"`
  `public static final String`
  `SSL_SESSION_MGR_ATTR`
  `"javax.servlet.request.ssl_session_mgr"`
  `public static final String`
  `STREAM_ID`
  `"org.apache.coyote.streamID"`
  `public static final String`
  `SUBJECT_ATTR`
  `"javax.security.auth.subject"`
  `public static final String`
  `WEBAPP_VERSION`
  `"org.apache.catalina.webappVersion"`
- org.apache.catalina.Host
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ADD_ALIAS_EVENT`
  `"addAlias"`
  `public static final String`
  `REMOVE_ALIAS_EVENT`
  `"removeAlias"`
- org.apache.catalina.Lifecycle
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `AFTER_DESTROY_EVENT`
  `"after_destroy"`
  `public static final String`
  `AFTER_INIT_EVENT`
  `"after_init"`
  `public static final String`
  `AFTER_START_EVENT`
  `"after_start"`
  `public static final String`
  `AFTER_STOP_EVENT`
  `"after_stop"`
  `public static final String`
  `BEFORE_DESTROY_EVENT`
  `"before_destroy"`
  `public static final String`
  `BEFORE_INIT_EVENT`
  `"before_init"`
  `public static final String`
  `BEFORE_START_EVENT`
  `"before_start"`
  `public static final String`
  `BEFORE_STOP_EVENT`
  `"before_stop"`
  `public static final String`
  `CONFIGURE_START_EVENT`
  `"configure_start"`
  `public static final String`
  `CONFIGURE_STOP_EVENT`
  `"configure_stop"`
  `public static final String`
  `PERIODIC_EVENT`
  `"periodic"`
  `public static final String`
  `START_EVENT`
  `"start"`
  `public static final String`
  `STOP_EVENT`
  `"stop"`
- org.apache.catalina.Session
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `SESSION_ACTIVATED_EVENT`
  `"activateSession"`
  `public static final String`
  `SESSION_CHANGED_ID_EVENT`
  `"changeSessionId"`
  `public static final String`
  `SESSION_CREATED_EVENT`
  `"createSession"`
  `public static final String`
  `SESSION_DESTROYED_EVENT`
  `"destroySession"`
  `public static final String`
  `SESSION_PASSIVATED_EVENT`
  `"passivateSession"`
- org.apache.catalina.Wrapper
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ADD_MAPPING_EVENT`
  `"addMapping"`
  `public static final String`
  `REMOVE_MAPPING_EVENT`
  `"removeMapping"`

- org.apache.catalina.ant.jmx.JMXAccessorTask
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `JMX_SERVICE_PREFIX`
  `"service:jmx:rmi:///jndi/rmi://"`
  `public static final String`
  `JMX_SERVICE_SUFFIX`
  `"/jmxrmi"`

- org.apache.catalina.authenticator.AuthenticatorBase
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `AUTH_HEADER_NAME`
  `"WWW-Authenticate"`
  `protected static final String`
  `REALM_NAME`
  `"Authentication required"`
- org.apache.catalina.authenticator.Constants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_JAAS_CONF`
  `"conf/jaas.conf"`
  `public static final String`
  `DEFAULT_KRB5_CONF`
  `"conf/krb5.ini"`
  `public static final String`
  `DEFAULT_LOGIN_MODULE_NAME`
  `"com.sun.security.jgss.krb5.accept"`
  `public static final String`
  `FORM_ACTION`
  `"/j_security_check"`
  `public static final String`
  `FORM_PASSWORD`
  `"j_password"`
  `public static final String`
  `FORM_PRINCIPAL_NOTE`
  `"org.apache.catalina.authenticator.PRINCIPAL"`
  `public static final String`
  `FORM_REQUEST_NOTE`
  `"org.apache.catalina.authenticator.REQUEST"`
  `public static final String`
  `FORM_USERNAME`
  `"j_username"`
  `public static final String`
  `JAAS_CONF_PROPERTY`
  `"java.security.auth.login.config"`
  `public static final String`
  `KRB5_CONF_PROPERTY`
  `"java.security.krb5.conf"`
  `public static final String`
  `REQ_JASPIC_SUBJECT_NOTE`
  `"org.apache.catalina.authenticator.jaspic.SUBJECT"`
  `public static final String`
  `REQ_SSOID_NOTE`
  `"org.apache.catalina.request.SSOID"`
  `public static final String`
  `SESS_PASSWORD_NOTE`
  `"org.apache.catalina.session.PASSWORD"`
  `public static final String`
  `SESS_USERNAME_NOTE`
  `"org.apache.catalina.session.USERNAME"`
  `public static final String`
  `SESSION_ID_NOTE`
  `"org.apache.catalina.authenticator.SESSION_ID"`
  `public static final String`
  `SPNEGO_METHOD`
  `"SPNEGO"`
- org.apache.catalina.authenticator.DigestAuthenticator
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `QOP`
  `"auth"`

- org.apache.catalina.authenticator.jaspic.MessageInfoImpl
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `IS_MANDATORY`
  `"javax.security.auth.message.MessagePolicy.isMandatory"`

- org.apache.catalina.connector.Connector
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `INTERNAL_EXECUTOR_NAME`
  `"Internal"`
- org.apache.catalina.connector.CoyoteAdapter
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ADAPTER_NOTES`
  `1`
- org.apache.catalina.connector.InputBuffer
  Modifier and Type
  Constant Field
  Value
  `public final int`
  `BYTE_STATE`
  `2`
  `public final int`
  `CHAR_STATE`
  `1`
  `public static final int`
  `DEFAULT_BUFFER_SIZE`
  `8192`
  `public final int`
  `INITIAL_STATE`
  `0`
- org.apache.catalina.connector.OutputBuffer
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_BUFFER_SIZE`
  `8192`
- org.apache.catalina.connector.Request
  Modifier and Type
  Constant Field
  Value
  `protected static final int`
  `CACHED_POST_LEN`
  `8192`
- org.apache.catalina.connector.Response
  Modifier and Type
  Constant Field
  Value
  `protected static final int`
  `SC_EARLY_HINTS`
  `103`

- org.apache.catalina.core.ApplicationFilterChain
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `INCREMENT`
  `10`
- org.apache.catalina.core.AprLifecycleListener
  Modifier and Type
  Constant Field
  Value
  `protected static final int`
  `TCN_RECOMMENDED_MAJOR`
  `1`
  `protected static final int`
  `TCN_RECOMMENDED_MINOR`
  `3`
  `protected static final int`
  `TCN_RECOMMENDED_PV`
  `7`
  `protected static final int`
  `TCN_REQUIRED_MAJOR`
  `1`
  `protected static final int`
  `TCN_REQUIRED_MINOR`
  `3`
  `protected static final int`
  `TCN_REQUIRED_PATCH`
  `4`
- org.apache.catalina.core.Constants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `JSP_SERVLET_CLASS`
  `"org.apache.jasper.servlet.JspServlet"`
  `public static final int`
  `MAJOR_VERSION`
  `4`
  `public static final int`
  `MINOR_VERSION`
  `0`
  `public static final String`
  `Package`
  `"org.apache.catalina.core"`

- org.apache.catalina.filters.Constants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CSRF_NONCE_REQUEST_ATTR_NAME`
  `"org.apache.catalina.filters.CSRF_REQUEST_NONCE"`
  `public static final String`
  `CSRF_NONCE_REQUEST_PARAM`
  `"org.apache.catalina.filters.CSRF_NONCE"`
  `public static final String`
  `CSRF_NONCE_REQUEST_PARAM_NAME_KEY`
  `"org.apache.catalina.filters.CSRF_NONCE_PARAM_NAME"`
  `public static final String`
  `CSRF_NONCE_SESSION_ATTR_NAME`
  `"org.apache.catalina.filters.CSRF_NONCE"`
  `public static final String`
  `CSRF_REST_NONCE_HEADER_FETCH_VALUE`
  `"Fetch"`
  `public static final String`
  `CSRF_REST_NONCE_HEADER_NAME`
  `"X-CSRF-Token"`
  `public static final String`
  `CSRF_REST_NONCE_HEADER_NAME_KEY`
  `"org.apache.catalina.filters.CSRF_REST_NONCE_HEADER_NAME"`
  `public static final String`
  `CSRF_REST_NONCE_HEADER_REQUIRED_VALUE`
  `"Required"`
  `public static final String`
  `CSRF_REST_NONCE_SESSION_ATTR_NAME`
  `"org.apache.catalina.filters.CSRF_REST_NONCE"`
  `public static final String`
  `METHOD_GET`
  `"GET"`
- org.apache.catalina.filters.CorsFilter
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_ALLOWED_HTTP_HEADERS`
  `"Origin,Accept,X-Requested-With,Content-Type,Access-Control-Request-Method,Access-Control-Request-Headers"`
  `public static final String`
  `DEFAULT_ALLOWED_HTTP_METHODS`
  `"GET,POST,HEAD,OPTIONS"`
  `public static final String`
  `DEFAULT_ALLOWED_ORIGINS`
  `""`
  `public static final String`
  `DEFAULT_DECORATE_REQUEST`
  `"true"`
  `public static final String`
  `DEFAULT_EXPOSED_HEADERS`
  `""`
  `public static final String`
  `DEFAULT_PREFLIGHT_MAXAGE`
  `"1800"`
  `public static final String`
  `DEFAULT_SUPPORTS_CREDENTIALS`
  `"false"`
  `public static final String`
  `HTTP_REQUEST_ATTRIBUTE_IS_CORS_REQUEST`
  `"cors.isCorsRequest"`
  `public static final String`
  `HTTP_REQUEST_ATTRIBUTE_ORIGIN`
  `"cors.request.origin"`
  `public static final String`
  `HTTP_REQUEST_ATTRIBUTE_PREFIX`
  `"cors."`
  `public static final String`
  `HTTP_REQUEST_ATTRIBUTE_REQUEST_HEADERS`
  `"cors.request.headers"`
  `public static final String`
  `HTTP_REQUEST_ATTRIBUTE_REQUEST_TYPE`
  `"cors.request.type"`
  `public static final String`
  `PARAM_CORS_ALLOWED_HEADERS`
  `"cors.allowed.headers"`
  `public static final String`
  `PARAM_CORS_ALLOWED_METHODS`
  `"cors.allowed.methods"`
  `public static final String`
  `PARAM_CORS_ALLOWED_ORIGINS`
  `"cors.allowed.origins"`
  `public static final String`
  `PARAM_CORS_EXPOSED_HEADERS`
  `"cors.exposed.headers"`
  `public static final String`
  `PARAM_CORS_PREFLIGHT_MAXAGE`
  `"cors.preflight.maxage"`
  `public static final String`
  `PARAM_CORS_REQUEST_DECORATE`
  `"cors.request.decorate"`
  `public static final String`
  `PARAM_CORS_SUPPORT_CREDENTIALS`
  `"cors.support.credentials"`
  `public static final String`
  `REQUEST_HEADER_ACCESS_CONTROL_REQUEST_HEADERS`
  `"Access-Control-Request-Headers"`
  `public static final String`
  `REQUEST_HEADER_ACCESS_CONTROL_REQUEST_METHOD`
  `"Access-Control-Request-Method"`
  `public static final String`
  `REQUEST_HEADER_ORIGIN`
  `"Origin"`
  `public static final String`
  `REQUEST_HEADER_VARY`
  `"Vary"`
  `public static final String`
  `RESPONSE_HEADER_ACCESS_CONTROL_ALLOW_CREDENTIALS`
  `"Access-Control-Allow-Credentials"`
  `public static final String`
  `RESPONSE_HEADER_ACCESS_CONTROL_ALLOW_HEADERS`
  `"Access-Control-Allow-Headers"`
  `public static final String`
  `RESPONSE_HEADER_ACCESS_CONTROL_ALLOW_METHODS`
  `"Access-Control-Allow-Methods"`
  `public static final String`
  `RESPONSE_HEADER_ACCESS_CONTROL_ALLOW_ORIGIN`
  `"Access-Control-Allow-Origin"`
  `public static final String`
  `RESPONSE_HEADER_ACCESS_CONTROL_EXPOSE_HEADERS`
  `"Access-Control-Expose-Headers"`
  `public static final String`
  `RESPONSE_HEADER_ACCESS_CONTROL_MAX_AGE`
  `"Access-Control-Max-Age"`
- org.apache.catalina.filters.RateLimitFilter
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_BUCKET_DURATION`
  `60`
  `public static final int`
  `DEFAULT_BUCKET_REQUESTS`
  `300`
  `public static final boolean`
  `DEFAULT_ENFORCE`
  `true`
  `public static final boolean`
  `DEFAULT_EXPOSE_HEADERS`
  `false`
  `public static final int`
  `DEFAULT_STATUS_CODE`
  `429`
  `public static final String`
  `DEFAULT_STATUS_MESSAGE`
  `"Too many requests"`
  `public static final String`
  `HEADER_RATE_LIMIT`
  `"RateLimit"`
  `public static final String`
  `HEADER_RATE_LIMIT_POLICY`
  `"RateLimit-Policy"`
  `public static final String`
  `RATE_LIMIT_ATTRIBUTE_COUNT`
  `"org.apache.catalina.filters.RateLimitFilter.Count"`
- org.apache.catalina.filters.RemoteIpFilter
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `CHANGE_LOCAL_NAME_PARAMETER`
  `"changeLocalName"`
  `protected static final String`
  `CHANGE_LOCAL_PORT_PARAMETER`
  `"changeLocalPort"`
  `protected static final String`
  `ENABLE_LOOKUPS_PARAMETER`
  `"enableLookups"`
  `protected static final String`
  `HOST_HEADER_PARAMETER`
  `"hostHeader"`
  `protected static final String`
  `HTTP_SERVER_PORT_PARAMETER`
  `"httpServerPort"`
  `protected static final String`
  `HTTPS_SERVER_PORT_PARAMETER`
  `"httpsServerPort"`
  `protected static final String`
  `INTERNAL_PROXIES_PARAMETER`
  `"internalProxies"`
  `protected static final String`
  `PORT_HEADER_PARAMETER`
  `"portHeader"`
  `protected static final String`
  `PROTOCOL_HEADER_HTTPS_VALUE_PARAMETER`
  `"protocolHeaderHttpsValue"`
  `protected static final String`
  `PROTOCOL_HEADER_PARAMETER`
  `"protocolHeader"`
  `protected static final String`
  `PROXIES_HEADER_PARAMETER`
  `"proxiesHeader"`
  `protected static final String`
  `REMOTE_IP_HEADER_PARAMETER`
  `"remoteIpHeader"`
  `protected static final String`
  `TRUSTED_PROXIES_PARAMETER`
  `"trustedProxies"`

- org.apache.catalina.ha.context.ReplicatedContext
  Modifier and Type
  Constant Field
  Value
  `protected static final long`
  `DEFAULT_REPL_TIMEOUT`
  `15000L`

- org.apache.catalina.ha.deploy.FileMessageFactory
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `READ_SIZE`
  `10240`

- org.apache.catalina.ha.session.BackupManager
  Modifier and Type
  Constant Field
  Value
  `protected static final long`
  `DEFAULT_REPL_TIMEOUT`
  `15000L`
- org.apache.catalina.ha.session.DeltaRequest
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ACTION_REMOVE`
  `1`
  `public static final int`
  `ACTION_SET`
  `0`
  `public static final String`
  `NAME_AUTHTYPE`
  `"__SET__AUTHTYPE__"`
  `public static final String`
  `NAME_ISNEW`
  `"__SET__ISNEW__"`
  `public static final String`
  `NAME_LISTENER`
  `"__SET__LISTENER__"`
  `public static final String`
  `NAME_MAXINTERVAL`
  `"__SET__MAXINTERVAL__"`
  `public static final String`
  `NAME_PRINCIPAL`
  `"__SET__PRINCIPAL__"`
  `public static final int`
  `TYPE_ATTRIBUTE`
  `0`
  `public static final int`
  `TYPE_AUTHTYPE`
  `4`
  `public static final int`
  `TYPE_ISNEW`
  `2`
  `public static final int`
  `TYPE_LISTENER`
  `5`
  `public static final int`
  `TYPE_MAXINTERVAL`
  `3`
  `public static final int`
  `TYPE_NOTE`
  `6`
  `public static final int`
  `TYPE_PRINCIPAL`
  `1`
- org.apache.catalina.ha.session.SessionMessage
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `EVT_ALL_SESSION_DATA`
  `12`
  `public static final int`
  `EVT_ALL_SESSION_NOCONTEXTMANAGER`
  `16`
  `public static final int`
  `EVT_ALL_SESSION_TRANSFERCOMPLETE`
  `14`
  `public static final int`
  `EVT_CHANGE_SESSION_ID`
  `15`
  `public static final int`
  `EVT_GET_ALL_SESSIONS`
  `4`
  `public static final int`
  `EVT_SESSION_ACCESSED`
  `3`
  `public static final int`
  `EVT_SESSION_CREATED`
  `1`
  `public static final int`
  `EVT_SESSION_DELTA`
  `13`
  `public static final int`
  `EVT_SESSION_EXPIRED`
  `2`

- org.apache.catalina.ha.tcp.Constants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `Package`
  `"org.apache.catalina.ha.tcp"`
- org.apache.catalina.ha.tcp.SimpleTcpCluster
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `AFTER_MANAGERREGISTER_EVENT`
  `"after_manager_register"`
  `public static final String`
  `AFTER_MANAGERUNREGISTER_EVENT`
  `"after_manager_unregister"`
  `public static final String`
  `AFTER_MEMBERREGISTER_EVENT`
  `"after_member_register"`
  `public static final String`
  `AFTER_MEMBERUNREGISTER_EVENT`
  `"after_member_unregister"`
  `public static final String`
  `BEFORE_MANAGERREGISTER_EVENT`
  `"before_manager_register"`
  `public static final String`
  `BEFORE_MANAGERUNREGISTER_EVENT`
  `"before_manager_unregister"`
  `public static final String`
  `BEFORE_MEMBERREGISTER_EVENT`
  `"before_member_register"`
  `public static final String`
  `BEFORE_MEMBERUNREGISTER_EVENT`
  `"before_member_unregister"`
  `public static final String`
  `RECEIVE_MESSAGE_FAILURE_EVENT`
  `"receive_message_failure"`
  `public static final String`
  `SEND_MESSAGE_FAILURE_EVENT`
  `"send_message_failure"`

- org.apache.catalina.loader.Constants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `Package`
  `"org.apache.catalina.loader"`

- org.apache.catalina.manager.Constants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CHARSET`
  `"utf-8"`
  `public static final String`
  `Package`
  `"org.apache.catalina.manager"`
  `public static final String`
  `REL_EXTERNAL`
  `"rel=\"noopener noreferrer\""`
  `public static final String`
  `XML_DECLARATION`
  `"<?xml version=\"1.0\" encoding=\"utf-8\"?>"`
  `public static final String`
  `XML_STYLE`
  `"<?xml-stylesheet type=\"text/xsl\" href=\"{0}/xform.xsl\" ?>\n"`

- org.apache.catalina.manager.host.Constants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CHARSET`
  `"utf-8"`
  `public static final String`
  `HTML_TAIL_SECTION`
  `"<hr size=\"1\" noshade=\"noshade\">\n<center><font size=\"-1\" color=\"#525D76\">\n <em>Copyright &copy; 1999-2026, Apache Software Foundation</em></font></center>\n\n</body>\n</html>"`
  `public static final String`
  `MANAGER_SECTION`
  `"<table border=\"1\" cellspacing=\"0\" cellpadding=\"3\">\n<tr>\n <td colspan=\"4\" class=\"title\">{0}</td>\n</tr>\n <tr>\n <td class=\"row-left\"><a href=\"{1}\">{2}</a></td>\n <td class=\"row-center\"><a href=\"{3}\" rel=\"noopener noreferrer\">{4}</a></td>\n <td class=\"row-center\"><a href=\"{5}\" rel=\"noopener noreferrer\">{6}</a></td>\n <td class=\"row-right\"><a href=\"{7}\">{8}</a></td>\n </tr>\n</table>\n<br>\n\n"`
  `public static final String`
  `MESSAGE_SECTION`
  `"<table border=\"1\" cellspacing=\"0\" cellpadding=\"3\">\n <tr>\n <td class=\"row-left\" width=\"10%\"><small><strong>{0}</strong></small>&nbsp;</td>\n <td class=\"row-left\"><pre>{1}</pre></td>\n </tr>\n</table>\n<br>\n\n"`
  `public static final String`
  `Package`
  `"org.apache.catalina.manager.host"`
  `public static final String`
  `REL_EXTERNAL`
  `"rel=\"noopener noreferrer\""`
  `public static final String`
  `SERVER_HEADER_SECTION`
  `"<table border=\"1\" cellspacing=\"0\" cellpadding=\"3\">\n<tr>\n <td colspan=\"6\" class=\"title\">{0}</td>\n</tr>\n<tr>\n <td class=\"header-center\"><small>{1}</small></td>\n <td class=\"header-center\"><small>{2}</small></td>\n <td class=\"header-center\"><small>{3}</small></td>\n <td class=\"header-center\"><small>{4}</small></td>\n <td class=\"header-center\"><small>{5}</small></td>\n <td class=\"header-center\"><small>{6}</small></td>\n</tr>\n"`
  `public static final String`
  `SERVER_ROW_SECTION`
  `"<tr>\n <td class=\"row-center\"><small>{0}</small></td>\n <td class=\"row-center\"><small>{1}</small></td>\n <td class=\"row-center\"><small>{2}</small></td>\n <td class=\"row-center\"><small>{3}</small></td>\n <td class=\"row-center\"><small>{4}</small></td>\n <td class=\"row-center\"><small>{5}</small></td>\n</tr>\n</table>\n<br>\n\n"`

- org.apache.catalina.mapper.Constants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `Package`
  `"org.apache.catalina.mapper"`

- org.apache.catalina.realm.DigestCredentialHandlerBase
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_SALT_LENGTH`
  `32`
- org.apache.catalina.realm.JNDIRealm
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEREF_ALIASES`
  `"java.naming.ldap.derefAliases"`
- org.apache.catalina.realm.MessageDigestCredentialHandler
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_ITERATIONS`
  `1`
- org.apache.catalina.realm.RealmBase
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `USER_ATTRIBUTES_DELIMITER`
  `","`
  `protected static final String`
  `USER_ATTRIBUTES_WILDCARD`
  `"*"`
- org.apache.catalina.realm.SecretKeyCredentialHandler
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_ALGORITHM`
  `"PBKDF2WithHmacSHA1"`
  `public static final int`
  `DEFAULT_ITERATIONS`
  `20000`
  `public static final int`
  `DEFAULT_KEY_LENGTH`
  `160`

- org.apache.catalina.security.Constants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CRLF`
  `"\r\n"`
  `public static final String`
  `PACKAGE`
  `"org.apache.catalina.security"`

- org.apache.catalina.servlets.Constants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `Package`
  `"org.apache.catalina.servlets"`
- org.apache.catalina.servlets.DefaultServlet
  Modifier and Type
  Constant Field
  Value
  `protected static final int`
  `BUFFER_SIZE`
  `4096`
  `protected static final String`
  `mimeSeparation`
  `"CATALINA_MIME_BOUNDARY"`
- org.apache.catalina.servlets.WebdavServlet
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `DEFAULT_NAMESPACE`
  `"DAV:"`
  `protected static final String`
  `LOCK_SCHEME`
  `"urn:uuid:"`
  `protected static final String`
  `SUPPORTED_LOCKS`
  `"\n <D:lockentry><D:lockscope><D:exclusive/></D:lockscope><D:locktype><D:write/></D:locktype></D:lockentry>\n <D:lockentry><D:lockscope><D:shared/></D:lockscope><D:locktype><D:write/></D:locktype></D:lockentry>\n"`

- org.apache.catalina.session.JDBCStore
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `storeName`
  `"JDBCStore"`
  `protected static final String`
  `threadName`
  `"JDBCStore"`
- org.apache.catalina.session.ManagerBase
  Modifier and Type
  Constant Field
  Value
  `protected static final int`
  `TIMING_STATS_CACHE_SIZE`
  `100`
- org.apache.catalina.session.StandardManager
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `name`
  `"StandardManager"`
- org.apache.catalina.session.StoreBase
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `storeName`
  `"StoreBase"`

- org.apache.catalina.ssi.ExpressionTokenizer
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `TOKEN_AND`
  `1`
  `public static final int`
  `TOKEN_END`
  `12`
  `public static final int`
  `TOKEN_EQ`
  `4`
  `public static final int`
  `TOKEN_GE`
  `8`
  `public static final int`
  `TOKEN_GT`
  `10`
  `public static final int`
  `TOKEN_LBRACE`
  `7`
  `public static final int`
  `TOKEN_LE`
  `9`
  `public static final int`
  `TOKEN_LT`
  `11`
  `public static final int`
  `TOKEN_NOT`
  `3`
  `public static final int`
  `TOKEN_NOT_EQ`
  `5`
  `public static final int`
  `TOKEN_OR`
  `2`
  `public static final int`
  `TOKEN_RBRACE`
  `6`
  `public static final int`
  `TOKEN_STRING`
  `0`
- org.apache.catalina.ssi.SSIEcho
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `DEFAULT_ENCODING`
  `"entity"`
  `protected static final String`
  `MISSING_VARIABLE_VALUE`
  `"(none)"`
- org.apache.catalina.ssi.SSIExec
  Modifier and Type
  Constant Field
  Value
  `protected static final int`
  `BUFFER_SIZE`
  `1024`
- org.apache.catalina.ssi.SSIMediator
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `DEFAULT_CONFIG_ERR_MSG`
  `"[an error occurred while processing this directive]"`
  `protected static final String`
  `DEFAULT_CONFIG_SIZE_FMT`
  `"abbrev"`
  `protected static final String`
  `DEFAULT_CONFIG_TIME_FMT`
  `"%A, %d-%b-%Y %T %Z"`
  `protected static final String`
  `ENCODING_ENTITY`
  `"entity"`
  `protected static final String`
  `ENCODING_NONE`
  `"none"`
  `protected static final String`
  `ENCODING_URL`
  `"url"`
- org.apache.catalina.ssi.SSIProcessor
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `COMMAND_END`
  `"-->"`
  `protected static final String`
  `COMMAND_START`
  `"<!--#"`

- org.apache.catalina.startup.Catalina
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `SERVER_XML`
  `"conf/server.xml"`
- org.apache.catalina.startup.CatalinaBaseConfigurationSource
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `LEGACY_SERVER_EMBED_XML`
  `"server-embed.xml"`
- org.apache.catalina.startup.Constants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ApplicationContextXml`
  `"META-INF/context.xml"`
  `public static final String`
  `ApplicationWebXml`
  `"/WEB-INF/web.xml"`
  `public static final String`
  `CATALINA_BASE_PROP`
  `"catalina.base"`
  `public static final String`
  `CATALINA_HOME_PROP`
  `"catalina.home"`
  `public static final String`
  `DefaultContextXml`
  `"conf/context.xml"`
  `public static final String`
  `DefaultWebXml`
  `"conf/web.xml"`
  `public static final String`
  `HostContextXml`
  `"context.xml.default"`
  `public static final String`
  `HostWebXml`
  `"web.xml.default"`
  `public static final String`
  `NoDefaultWebXml`
  `"org/apache/catalina/startup/NO_DEFAULT_XML"`
  `public static final String`
  `Package`
  `"org.apache.catalina.startup"`
  `public static final String`
  `TomcatWebXml`
  `"/WEB-INF/tomcat-web.xml"`
  `public static final String`
  `WarTracker`
  `"/META-INF/war-tracker"`
- org.apache.catalina.startup.HostConfig
  Modifier and Type
  Constant Field
  Value
  `protected static final long`
  `FILE_MODIFICATION_RESOLUTION_MS`
  `1000L`

- org.apache.catalina.storeconfig.Constants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `Package`
  `"org.apache.catalina.storeconfig"`

- org.apache.catalina.tribes.Channel
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT`
  `15`
  `public static final int`
  `MBR_RX_SEQ`
  `4`
  `public static final int`
  `MBR_TX_SEQ`
  `8`
  `public static final int`
  `SEND_OPTIONS_ASYNCHRONOUS`
  `8`
  `public static final int`
  `SEND_OPTIONS_BYTE_MESSAGE`
  `1`
  `public static final int`
  `SEND_OPTIONS_DEFAULT`
  `2`
  `public static final int`
  `SEND_OPTIONS_MULTICAST`
  `64`
  `public static final int`
  `SEND_OPTIONS_SECURE`
  `16`
  `public static final int`
  `SEND_OPTIONS_SYNCHRONIZED_ACK`
  `4`
  `public static final int`
  `SEND_OPTIONS_UDP`
  `32`
  `public static final int`
  `SEND_OPTIONS_USE_ACK`
  `2`
  `public static final int`
  `SND_RX_SEQ`
  `1`
  `public static final int`
  `SND_TX_SEQ`
  `2`
- org.apache.catalina.tribes.ChannelReceiver
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `MAX_UDP_SIZE`
  `65535`
- org.apache.catalina.tribes.MembershipService
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `MBR_RX`
  `4`
  `public static final int`
  `MBR_TX`
  `8`

- org.apache.catalina.tribes.group.RpcChannel
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ALL_REPLY`
  `3`
  `public static final int`
  `FIRST_REPLY`
  `1`
  `public static final int`
  `MAJORITY_REPLY`
  `2`
  `public static final int`
  `NO_REPLY`
  `4`

- org.apache.catalina.tribes.group.interceptors.FragmentationInterceptor
  Modifier and Type
  Constant Field
  Value
  `protected final boolean`
  `deepclone`
  `true`
- org.apache.catalina.tribes.group.interceptors.GzipInterceptor
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_BUFFER_SIZE`
  `2048`
  `public static final int`
  `DEFAULT_OPTION_COMPRESSION_ENABLE`
  `256`
- org.apache.catalina.tribes.group.interceptors.NonBlockingCoordinator
  Modifier and Type
  Constant Field
  Value
  `protected final int`
  `startsvc`
  `65535`
  `protected final long`
  `waitForCoordMsgTimeout`
  `15000L`
- org.apache.catalina.tribes.group.interceptors.NonBlockingCoordinator.CoordinationEvent
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `EVT_CONF_RX`
  `12`
  `public static final int`
  `EVT_ELECT_ABANDONED`
  `13`
  `public static final int`
  `EVT_MBR_ADD`
  `2`
  `public static final int`
  `EVT_MBR_DEL`
  `3`
  `public static final int`
  `EVT_MSG_ARRIVE`
  `6`
  `public static final int`
  `EVT_POST_MERGE`
  `8`
  `public static final int`
  `EVT_PRE_MERGE`
  `7`
  `public static final int`
  `EVT_PROCESS_ELECT`
  `5`
  `public static final int`
  `EVT_SEND_MSG`
  `10`
  `public static final int`
  `EVT_START`
  `1`
  `public static final int`
  `EVT_START_ELECT`
  `4`
  `public static final int`
  `EVT_STOP`
  `11`
  `public static final int`
  `EVT_WAIT_FOR_MSG`
  `9`

- org.apache.catalina.tribes.io.BufferPool
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_POOL_SIZE`
  `104857600`

- org.apache.catalina.tribes.membership.Constants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `Package`
  `"org.apache.catalina.tribes.membership"`
- org.apache.catalina.tribes.membership.McastServiceImpl
  Modifier and Type
  Constant Field
  Value
  `protected static final int`
  `MAX_PACKET_SIZE`
  `65535`
- org.apache.catalina.tribes.membership.StaticMembershipProvider.MemberMessage
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `MSG_PING`
  `3`
  `public static final int`
  `MSG_START`
  `1`
  `public static final int`
  `MSG_STOP`
  `2`

- org.apache.catalina.tribes.membership.cloud.CloudMembershipProvider
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `CUSTOM_ENV_PREFIX`
  `"OPENSHIFT_KUBE_PING_"`
- org.apache.catalina.tribes.membership.cloud.CloudMembershipService
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `MEMBERSHIP_PROVIDER_CLASS_NAME`
  `"membershipProviderClassName"`

- org.apache.catalina.tribes.tipis.AbstractReplicatedMap<K,V>
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_INITIAL_CAPACITY`
  `16`
  `public static final float`
  `DEFAULT_LOAD_FACTOR`
  `0.75f`
- org.apache.catalina.tribes.tipis.AbstractReplicatedMap.MapMessage
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `MSG_ACCESS`
  `11`
  `public static final int`
  `MSG_BACKUP`
  `1`
  `public static final int`
  `MSG_COPY`
  `9`
  `public static final int`
  `MSG_INIT`
  `8`
  `public static final int`
  `MSG_NOTIFY_MAPMEMBER`
  `12`
  `public static final int`
  `MSG_PING`
  `13`
  `public static final int`
  `MSG_PROXY`
  `3`
  `public static final int`
  `MSG_REMOVE`
  `4`
  `public static final int`
  `MSG_RETRIEVE_BACKUP`
  `2`
  `public static final int`
  `MSG_START`
  `6`
  `public static final int`
  `MSG_STATE`
  `5`
  `public static final int`
  `MSG_STATE_COPY`
  `10`
  `public static final int`
  `MSG_STOP`
  `7`

- org.apache.catalina.tribes.transport.AbstractRxTask
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `OPTION_DIRECT_BUFFER`
  `4`
- org.apache.catalina.tribes.transport.Constants
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_CLUSTER_ACK_BUFFER_SIZE`
  `25188`
  `public static final int`
  `DEFAULT_CLUSTER_MSG_BUFFER_SIZE`
  `65536`
  `public static final String`
  `Package`
  `"org.apache.catalina.tribes.transport"`
- org.apache.catalina.tribes.transport.ReceiverBase
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `OPTION_DIRECT_BUFFER`
  `4`
- org.apache.catalina.tribes.transport.SenderState
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `FAILING`
  `2`
  `public static final int`
  `READY`
  `0`
  `public static final int`
  `SUSPECT`
  `1`

- org.apache.catalina.tribes.transport.nio.ParallelNioSender
  Modifier and Type
  Constant Field
  Value
  `protected final long`
  `selectTimeout`
  `5000L`

- org.apache.catalina.tribes.util.UUIDGenerator
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `BITS_PER_BYTE`
  `8`
  `public static final int`
  `BYTES_PER_INT`
  `4`
  `public static final int`
  `UUID_LENGTH`
  `16`
  `public static final int`
  `UUID_VERSION`
  `4`

- org.apache.catalina.users.Constants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `Package`
  `"org.apache.catalina.users"`

- org.apache.catalina.util.CharsetMapper
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_RESOURCE`
  `"/org/apache/catalina/util/CharsetMapperDefault.properties"`
- org.apache.catalina.util.ConcurrentDateFormat
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `RFC1123_DATE`
  `"EEE, dd MMM yyyy HH:mm:ss zzz"`
- org.apache.catalina.util.ContextName
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ROOT_NAME`
  `"ROOT"`
- org.apache.catalina.util.IOTools
  Modifier and Type
  Constant Field
  Value
  `protected static final int`
  `DEFAULT_BUFFER_SIZE`
  `4096`
- org.apache.catalina.util.ManifestResource
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `APPLICATION`
  `3`
  `public static final int`
  `SYSTEM`
  `1`
  `public static final int`
  `WAR`
  `2`
- org.apache.catalina.util.TomcatCSS
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `TOMCAT_CSS`
  `"body {font-family:Tahoma,Arial,sans-serif;} h1, h2, h3, b {color:white;background-color:#525D76;} h1 {font-size:22px;} h2 {font-size:16px;} h3 {font-size:14px;} p {font-size:12px;} a {color:black;} .line {height:1px;background-color:#525D76;border:none;}"`
- org.apache.catalina.util.XMLWriter
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CLOSING`
  `1`
  `public static final int`
  `NO_CONTENT`
  `2`
  `public static final int`
  `OPENING`
  `0`

- org.apache.catalina.valves.Constants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `Package`
  `"org.apache.catalina.valves"`
- org.apache.catalina.valves.Constants.AccessLog
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `COMBINED_ALIAS`
  `"combined"`
  `public static final String`
  `COMBINED_PATTERN`
  `"%h %l %u %t \"%r\" %s %b \"%{Referer}i\" \"%{User-Agent}i\""`
  `public static final String`
  `COMMON_ALIAS`
  `"common"`
  `public static final String`
  `COMMON_PATTERN`
  `"%h %l %u %t \"%r\" %s %b"`
- org.apache.catalina.valves.LoadBalancerDrainingValve
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ATTRIBUTE_KEY_JK_LB_ACTIVATION`
  `"JK_LB_ACTIVATION"`

- org.apache.catalina.webresources.TomcatJarInputStream
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CENATT`
  `36`
  `public static final int`
  `CENATX`
  `38`
  `public static final int`
  `CENCOM`
  `32`
  `public static final int`
  `CENCRC`
  `16`
  `public static final int`
  `CENDSK`
  `34`
  `public static final int`
  `CENEXT`
  `30`
  `public static final int`
  `CENFLG`
  `8`
  `public static final int`
  `CENHDR`
  `46`
  `public static final int`
  `CENHOW`
  `10`
  `public static final int`
  `CENLEN`
  `24`
  `public static final int`
  `CENNAM`
  `28`
  `public static final int`
  `CENOFF`
  `42`
  `public static final long`
  `CENSIG`
  `33639248L`
  `public static final int`
  `CENSIZ`
  `20`
  `public static final int`
  `CENTIM`
  `12`
  `public static final int`
  `CENVEM`
  `4`
  `public static final int`
  `CENVER`
  `6`
  `public static final int`
  `ENDCOM`
  `20`
  `public static final int`
  `ENDHDR`
  `22`
  `public static final int`
  `ENDOFF`
  `16`
  `public static final long`
  `ENDSIG`
  `101010256L`
  `public static final int`
  `ENDSIZ`
  `12`
  `public static final int`
  `ENDSUB`
  `8`
  `public static final int`
  `ENDTOT`
  `10`
  `public static final int`
  `EXTCRC`
  `4`
  `public static final int`
  `EXTHDR`
  `16`
  `public static final int`
  `EXTLEN`
  `12`
  `public static final long`
  `EXTSIG`
  `134695760L`
  `public static final int`
  `EXTSIZ`
  `8`
  `public static final int`
  `LOCCRC`
  `14`
  `public static final int`
  `LOCEXT`
  `28`
  `public static final int`
  `LOCFLG`
  `6`
  `public static final int`
  `LOCHDR`
  `30`
  `public static final int`
  `LOCHOW`
  `8`
  `public static final int`
  `LOCLEN`
  `22`
  `public static final int`
  `LOCNAM`
  `26`
  `public static final long`
  `LOCSIG`
  `67324752L`
  `public static final int`
  `LOCSIZ`
  `18`
  `public static final int`
  `LOCTIM`
  `10`
  `public static final int`
  `LOCVER`
  `4`

- org.apache.coyote.Constants
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_CONNECTION_LINGER`
  `-1`
  `public static final boolean`
  `DEFAULT_TCP_NO_DELAY`
  `true`
  `public static final int`
  `MAX_NOTES`
  `32`
  `public static final String`
  `PEER_ADDR_ATTRIBUTE`
  `"org.apache.tomcat.peerAddr"`
  `public static final String`
  `REMOTE_ADDR_ATTRIBUTE`
  `"org.apache.tomcat.remoteAddr"`
  `public static final String`
  `SENDFILE_FILE_END_ATTR`
  `"org.apache.tomcat.sendfile.end"`
  `public static final String`
  `SENDFILE_FILE_START_ATTR`
  `"org.apache.tomcat.sendfile.start"`
  `public static final String`
  `SENDFILE_FILENAME_ATTR`
  `"org.apache.tomcat.sendfile.filename"`
  `public static final String`
  `SENDFILE_SUPPORTED_ATTR`
  `"org.apache.tomcat.sendfile.support"`
  `public static final int`
  `STAGE_ENDED`
  `7`
  `public static final int`
  `STAGE_ENDINPUT`
  `4`
  `public static final int`
  `STAGE_ENDOUTPUT`
  `5`
  `public static final int`
  `STAGE_KEEPALIVE`
  `6`
  `public static final int`
  `STAGE_NEW`
  `0`
  `public static final int`
  `STAGE_PARSE`
  `1`
  `public static final int`
  `STAGE_PREPARE`
  `2`
  `public static final int`
  `STAGE_SERVICE`
  `3`
- org.apache.coyote.Request
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `NOTE_BAD_REQUEST`
  `2`

- org.apache.coyote.ajp.Constants
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_CONNECTION_TIMEOUT`
  `-1`
  `public static final int`
  `H_SIZE`
  `4`
  `public static final byte`
  `JK_AJP13_CPING_REQUEST`
  `0xa`
  `public static final byte`
  `JK_AJP13_CPONG_REPLY`
  `0x9`
  `public static final byte`
  `JK_AJP13_END_RESPONSE`
  `0x5`
  `public static final byte`
  `JK_AJP13_FORWARD_REQUEST`
  `0x2`
  `public static final byte`
  `JK_AJP13_GET_BODY_CHUNK`
  `0x6`
  `public static final byte`
  `JK_AJP13_PING_REQUEST`
  `0x8`
  `public static final byte`
  `JK_AJP13_SEND_BODY_CHUNK`
  `0x3`
  `public static final byte`
  `JK_AJP13_SEND_HEADERS`
  `0x4`
  `public static final byte`
  `JK_AJP13_SHUTDOWN`
  `0x7`
  `public static final int`
  `MAX_PACKET_SIZE`
  `8192`
  `public static final int`
  `MAX_READ_SIZE`
  `8186`
  `public static final int`
  `MAX_SEND_SIZE`
  `8184`
  `public static final int`
  `READ_HEAD_LEN`
  `6`
  `public static final byte`
  `SC_A_ARE_DONE`
  `0xff`
  `public static final byte`
  `SC_A_AUTH_TYPE`
  `0x4`
  `public static final byte`
  `SC_A_CONTEXT`
  `0x1`
  `public static final byte`
  `SC_A_JVM_ROUTE`
  `0x6`
  `public static final byte`
  `SC_A_QUERY_STRING`
  `0x5`
  `public static final byte`
  `SC_A_REMOTE_USER`
  `0x3`
  `public static final byte`
  `SC_A_REQ_ATTRIBUTE`
  `0xa`
  `public static final String`
  `SC_A_REQ_LOCAL_ADDR`
  `"AJP_LOCAL_ADDR"`
  `public static final String`
  `SC_A_REQ_REMOTE_PORT`
  `"AJP_REMOTE_PORT"`
  `public static final byte`
  `SC_A_SECRET`
  `0xc`
  `public static final byte`
  `SC_A_SERVLET_PATH`
  `0x2`
  `public static final byte`
  `SC_A_SSL_CERT`
  `0x7`
  `public static final byte`
  `SC_A_SSL_CIPHER`
  `0x8`
  `public static final byte`
  `SC_A_SSL_KEY_SIZE`
  `0xb`
  `public static final String`
  `SC_A_SSL_PROTOCOL`
  `"AJP_SSL_PROTOCOL"`
  `public static final byte`
  `SC_A_SSL_SESSION`
  `0x9`
  `public static final byte`
  `SC_A_STORED_METHOD`
  `0xd`
  `public static final int`
  `SC_M_JK_STORED`
  `-1`
  `public static final int`
  `SC_REQ_ACCEPT`
  `1`
  `public static final int`
  `SC_REQ_ACCEPT_CHARSET`
  `2`
  `public static final int`
  `SC_REQ_ACCEPT_ENCODING`
  `3`
  `public static final int`
  `SC_REQ_ACCEPT_LANGUAGE`
  `4`
  `public static final int`
  `SC_REQ_AUTHORIZATION`
  `5`
  `public static final int`
  `SC_REQ_CONNECTION`
  `6`
  `public static final int`
  `SC_REQ_CONTENT_LENGTH`
  `8`
  `public static final int`
  `SC_REQ_CONTENT_TYPE`
  `7`
  `public static final int`
  `SC_REQ_COOKIE`
  `9`
  `public static final int`
  `SC_REQ_COOKIE2`
  `10`
  `public static final int`
  `SC_REQ_HOST`
  `11`
  `public static final int`
  `SC_REQ_PRAGMA`
  `12`
  `public static final int`
  `SC_REQ_REFERER`
  `13`
  `public static final int`
  `SC_REQ_USER_AGENT`
  `14`
  `public static final int`
  `SC_RESP_AJP13_MAX`
  `11`
  `public static final int`
  `SC_RESP_CONTENT_LANGUAGE`
  `40962`
  `public static final int`
  `SC_RESP_CONTENT_LENGTH`
  `40963`
  `public static final int`
  `SC_RESP_CONTENT_TYPE`
  `40961`
  `public static final int`
  `SC_RESP_DATE`
  `40964`
  `public static final int`
  `SC_RESP_LAST_MODIFIED`
  `40965`
  `public static final int`
  `SC_RESP_LOCATION`
  `40966`
  `public static final int`
  `SC_RESP_SERVLET_ENGINE`
  `40969`
  `public static final int`
  `SC_RESP_SET_COOKIE`
  `40967`
  `public static final int`
  `SC_RESP_SET_COOKIE2`
  `40968`
  `public static final int`
  `SC_RESP_STATUS`
  `40970`
  `public static final int`
  `SC_RESP_WWW_AUTHENTICATE`
  `40971`
  `public static final int`
  `SEND_HEAD_LEN`
  `8`

- org.apache.coyote.http11.Constants
  Modifier and Type
  Constant Field
  Value
  `public static final byte`
  `a`
  `0x61`
  `public static final byte`
  `A`
  `0x41`
  `public static final int`
  `BUFFERED_FILTER`
  `3`
  `public static final String`
  `CHUNKED`
  `"chunked"`
  `public static final int`
  `CHUNKED_FILTER`
  `1`
  `public static final String`
  `CLOSE`
  `"close"`
  `public static final byte`
  `COLON`
  `0x3a`
  `public static final String`
  `CONNECTION`
  `"Connection"`
  `public static final byte`
  `CR`
  `0xd`
  `public static final String`
  `CRLF`
  `"\r\n"`
  `public static final int`
  `DEFAULT_CONNECTION_TIMEOUT`
  `60000`
  `public static final int`
  `GZIP_FILTER`
  `3`
  `public static final byte`
  `HT`
  `0x9`
  `public static final String`
  `HTTP_10`
  `"HTTP/1.0"`
  `public static final String`
  `HTTP_11`
  `"HTTP/1.1"`
  `public static final int`
  `IDENTITY_FILTER`
  `0`
  `public static final String`
  `KEEP_ALIVE_HEADER_NAME`
  `"Keep-Alive"`
  `public static final String`
  `KEEP_ALIVE_HEADER_VALUE_TOKEN`
  `"keep-alive"`
  `public static final String`
  `KEEPALIVE`
  `"keep-alive"`
  `public static final byte`
  `LC_OFFSET`
  `0xe0`
  `public static final byte`
  `LF`
  `0xa`
  `public static final byte`
  `QUESTION`
  `0x3f`
  `public static final byte`
  `SEMI_COLON`
  `0x3b`
  `public static final byte`
  `SP`
  `0x20`
  `public static final String`
  `TRANSFERENCODING`
  `"Transfer-Encoding"`
  `public static final int`
  `VOID_FILTER`
  `2`
  `public static final byte`
  `Z`
  `0x5a`

- org.apache.coyote.http11.filters.ChunkedInputFilter
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `ENCODING_NAME`
  `"chunked"`
- org.apache.coyote.http11.filters.IdentityInputFilter
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `ENCODING_NAME`
  `"identity"`
- org.apache.coyote.http11.filters.VoidInputFilter
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `ENCODING_NAME`
  `"void"`

- org.apache.coyote.http11.upgrade.UpgradeProcessorBase
  Modifier and Type
  Constant Field
  Value
  `protected static final int`
  `INFINITE_TIMEOUT`
  `-1`

- org.apache.coyote.http2.Constants
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_WEIGHT`
  `16`
- org.apache.coyote.http2.Http2AsyncUpgradeHandler
  Modifier and Type
  Constant Field
  Value
  `protected static final int`
  `FLAG_END_OF_HEADERS`
  `4`
  `protected static final int`
  `FLAG_END_OF_STREAM`
  `1`

- org.apache.jasper.Constants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CATALINA_HOME_PROP`
  `"catalina.home"`
  `public static final int`
  `DEFAULT_BUFFER_SIZE`
  `8192`
  `public static final int`
  `DEFAULT_TAG_BUFFER_SIZE`
  `512`
  `public static final String`
  `IE_PLUGIN_URL`
  `"http://java.sun.com/products/plugin/1.2.2/jinstall-1_2_2-win.cab#Version=1,2,2,0"`
  `public static final int`
  `MAX_POOL_SIZE`
  `5`
  `public static final String`
  `NS_PLUGIN_URL`
  `"http://java.sun.com/products/plugin/"`
  `public static final String`
  `SPEC_VERSION`
  `"2.3"`
  `public static final String`
  `XML_BLOCK_EXTERNAL_INIT_PARAM`
  `"org.apache.jasper.XML_BLOCK_EXTERNAL"`
  `public static final String`
  `XML_VALIDATION_TLD_INIT_PARAM`
  `"org.apache.jasper.XML_VALIDATE_TLD"`
- org.apache.jasper.JspC
  Modifier and Type
  Constant Field
  Value
  `protected static final int`
  `ALL_WEBXML`
  `20`
  `protected static final int`
  `DEFAULT_DIE_LEVEL`
  `1`
  `public static final String`
  `DEFAULT_IE_CLASS_ID`
  `"clsid:8AD9C840-044E-11D1-B3E9-00805F499D93"`
  `protected static final int`
  `FRG_WEBXML`
  `15`
  `protected static final int`
  `INC_WEBXML`
  `10`
  `protected static final String`
  `LIST_ERRORS`
  `"-l"`
  `protected static final int`
  `NO_DIE_LEVEL`
  `0`
  `protected static final String`
  `SHOW_SUCCESS`
  `"-s"`
  `protected static final String`
  `SWITCH_ADD_WEBAPP_XML_MAPPINGS`
  `"-addwebxmlmappings"`
  `protected static final String`
  `SWITCH_CACHE`
  `"-cache"`
  `protected static final String`
  `SWITCH_CLASS_NAME`
  `"-c"`
  `protected static final String`
  `SWITCH_CLASSPATH`
  `"-classpath"`
  `protected static final String`
  `SWITCH_COMPILE`
  `"-compile"`
  `protected static final String`
  `SWITCH_DIE`
  `"-die"`
  `protected static final String`
  `SWITCH_DUMP_SMAP`
  `"-dumpsmap"`
  `protected static final String`
  `SWITCH_ENCODING`
  `"-javaEncoding"`
  `protected static final String`
  `SWITCH_FAIL_FAST`
  `"-failFast"`
  `protected static final String`
  `SWITCH_FILE_WEBAPP`
  `"-webapp"`
  `protected static final String`
  `SWITCH_FULL_STOP`
  `"--"`
  `protected static final String`
  `SWITCH_HELP`
  `"-help"`
  `protected static final String`
  `SWITCH_MAPPED`
  `"-mapped"`
  `protected static final String`
  `SWITCH_NO_BLOCK_EXTERNAL`
  `"-no-blockExternal"`
  `protected static final String`
  `SWITCH_NO_QUOTE_ATTRIBUTE_EL`
  `"-no-quoteAttributeEL"`
  `protected static final String`
  `SWITCH_NO_STRICT_QUOTE_ESCAPING`
  `"-no-strictQuoteEscaping"`
  `protected static final String`
  `SWITCH_OUTPUT_DIR`
  `"-d"`
  `protected static final String`
  `SWITCH_PACKAGE_NAME`
  `"-p"`
  `protected static final String`
  `SWITCH_POOLING`
  `"-poolingEnabled"`
  `protected static final String`
  `SWITCH_QUOTE_ATTRIBUTE_EL`
  `"-quoteAttributeEL"`
  `protected static final String`
  `SWITCH_SMAP`
  `"-smap"`
  `protected static final String`
  `SWITCH_SOURCE`
  `"-source"`
  `protected static final String`
  `SWITCH_TARGET`
  `"-target"`
  `protected static final String`
  `SWITCH_THREAD_COUNT`
  `"-threadCount"`
  `protected static final String`
  `SWITCH_TRIM_SPACES`
  `"-trimSpaces"`
  `protected static final String`
  `SWITCH_URI_BASE`
  `"-uribase"`
  `protected static final String`
  `SWITCH_URI_ROOT`
  `"-uriroot"`
  `protected static final String`
  `SWITCH_USENONSTANDARD_TAG_OPTIMIZATIONS`
  `"-useNonstandardTagOptimizations"`
  `protected static final String`
  `SWITCH_VALIDATE_TLD`
  `"-validateTld"`
  `protected static final String`
  `SWITCH_VALIDATE_XML`
  `"-validateXml"`
  `protected static final String`
  `SWITCH_VERBOSE`
  `"-v"`
  `protected static final String`
  `SWITCH_WEBAPP_FRG`
  `"-webfrg"`
  `protected static final String`
  `SWITCH_WEBAPP_INC`
  `"-webinc"`
  `protected static final String`
  `SWITCH_WEBAPP_XML`
  `"-webxml"`
  `protected static final String`
  `SWITCH_WEBAPP_XML_ENCODING`
  `"-webxmlencoding"`
  `protected static final String`
  `SWITCH_XPOWERED_BY`
  `"-xpoweredBy"`

- org.apache.jasper.compiler.JspUtil
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CHUNKSIZE`
  `1024`
- org.apache.jasper.compiler.TagConstants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ATTRIBUTE_ACTION`
  `"attribute"`
  `public static final String`
  `ATTRIBUTE_DIRECTIVE_ACTION`
  `"directive.attribute"`
  `public static final String`
  `BODY_ACTION`
  `"body"`
  `public static final String`
  `DECLARATION_ACTION`
  `"declaration"`
  `public static final String`
  `DIRECTIVE_ACTION`
  `"directive."`
  `public static final String`
  `DOBODY_ACTION`
  `"doBody"`
  `public static final String`
  `ELEMENT_ACTION`
  `"element"`
  `public static final String`
  `EXPRESSION_ACTION`
  `"expression"`
  `public static final String`
  `FALLBACK_ACTION`
  `"fallback"`
  `public static final String`
  `FORWARD_ACTION`
  `"forward"`
  `public static final String`
  `GET_PROPERTY_ACTION`
  `"getProperty"`
  `public static final String`
  `INCLUDE_ACTION`
  `"include"`
  `public static final String`
  `INCLUDE_DIRECTIVE_ACTION`
  `"directive.include"`
  `public static final String`
  `INVOKE_ACTION`
  `"invoke"`
  `public static final String`
  `JSP_ATTRIBUTE_ACTION`
  `"jsp:attribute"`
  `public static final String`
  `JSP_ATTRIBUTE_DIRECTIVE_ACTION`
  `"jsp:directive.attribute"`
  `public static final String`
  `JSP_BODY_ACTION`
  `"jsp:body"`
  `public static final String`
  `JSP_DECLARATION_ACTION`
  `"jsp:declaration"`
  `public static final String`
  `JSP_DOBODY_ACTION`
  `"jsp:doBody"`
  `public static final String`
  `JSP_ELEMENT_ACTION`
  `"jsp:element"`
  `public static final String`
  `JSP_EXPRESSION_ACTION`
  `"jsp:expression"`
  `public static final String`
  `JSP_FALLBACK_ACTION`
  `"jsp:fallback"`
  `public static final String`
  `JSP_FORWARD_ACTION`
  `"jsp:forward"`
  `public static final String`
  `JSP_GET_PROPERTY_ACTION`
  `"jsp:getProperty"`
  `public static final String`
  `JSP_INCLUDE_ACTION`
  `"jsp:include"`
  `public static final String`
  `JSP_INCLUDE_DIRECTIVE_ACTION`
  `"jsp:directive.include"`
  `public static final String`
  `JSP_INVOKE_ACTION`
  `"jsp:invoke"`
  `public static final String`
  `JSP_OUTPUT_ACTION`
  `"jsp:output"`
  `public static final String`
  `JSP_PAGE_DIRECTIVE_ACTION`
  `"jsp:directive.page"`
  `public static final String`
  `JSP_PARAM_ACTION`
  `"jsp:param"`
  `public static final String`
  `JSP_PARAMS_ACTION`
  `"jsp:params"`
  `public static final String`
  `JSP_PLUGIN_ACTION`
  `"jsp:plugin"`
  `public static final String`
  `JSP_ROOT_ACTION`
  `"jsp:root"`
  `public static final String`
  `JSP_SCRIPTLET_ACTION`
  `"jsp:scriptlet"`
  `public static final String`
  `JSP_SET_PROPERTY_ACTION`
  `"jsp:setProperty"`
  `public static final String`
  `JSP_TAG_DIRECTIVE_ACTION`
  `"jsp:directive.tag"`
  `public static final String`
  `JSP_TAGLIB_DIRECTIVE_ACTION`
  `"jsp:taglib"`
  `public static final String`
  `JSP_TEXT_ACTION`
  `"jsp:text"`
  `public static final String`
  `JSP_TEXT_ACTION_END`
  `"</jsp:text>"`
  `public static final String`
  `JSP_URI`
  `"http://java.sun.com/JSP/Page"`
  `public static final String`
  `JSP_USE_BEAN_ACTION`
  `"jsp:useBean"`
  `public static final String`
  `JSP_VARIABLE_DIRECTIVE_ACTION`
  `"jsp:directive.variable"`
  `public static final String`
  `OUTPUT_ACTION`
  `"output"`
  `public static final String`
  `PAGE_DIRECTIVE_ACTION`
  `"directive.page"`
  `public static final String`
  `PARAM_ACTION`
  `"param"`
  `public static final String`
  `PARAMS_ACTION`
  `"params"`
  `public static final String`
  `PLUGIN_ACTION`
  `"plugin"`
  `public static final String`
  `ROOT_ACTION`
  `"root"`
  `public static final String`
  `SCRIPTLET_ACTION`
  `"scriptlet"`
  `public static final String`
  `SET_PROPERTY_ACTION`
  `"setProperty"`
  `public static final String`
  `TAG_DIRECTIVE_ACTION`
  `"directive.tag"`
  `public static final String`
  `TAGLIB_DIRECTIVE_ACTION`
  `"taglib"`
  `public static final String`
  `TEXT_ACTION`
  `"text"`
  `public static final String`
  `URN_JSPTAGDIR`
  `"urn:jsptagdir:"`
  `public static final String`
  `URN_JSPTLD`
  `"urn:jsptld:"`
  `public static final String`
  `USE_BEAN_ACTION`
  `"useBean"`
  `public static final String`
  `VARIABLE_DIRECTIVE_ACTION`
  `"directive.variable"`

- org.apache.jasper.runtime.TagHandlerPool
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `OPTION_MAXSIZE`
  `"tagpoolMaxSize"`
  `public static final String`
  `OPTION_TAGPOOL`
  `"tagpoolClassName"`

- org.apache.jasper.tagplugins.jstl.Util
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_ENCODING`
  `"ISO-8859-1"`

- org.apache.juli.AsyncFileHandler
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_MAX_RECORDS`
  `10000`
  `public static final int`
  `DEFAULT_OVERFLOW_DROP_TYPE`
  `1`
  `public static final int`
  `OVERFLOW_DROP_CURRENT`
  `4`
  `public static final int`
  `OVERFLOW_DROP_FIRST`
  `2`
  `public static final int`
  `OVERFLOW_DROP_FLUSH`
  `3`
  `public static final int`
  `OVERFLOW_DROP_LAST`
  `1`
- org.apache.juli.DateFormatCache
  Modifier and Type
  Constant Field
  Value
  `public static final char`
  `MSEC_PATTERN`
  `'#'`
- org.apache.juli.FileHandler
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_BUFFER_SIZE`
  `-1`
  `public static final int`
  `DEFAULT_MAX_DAYS`
  `-1`
- org.apache.juli.JdkLoggerFormatter
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `LOG_LEVEL_DEBUG`
  `500`
  `public static final int`
  `LOG_LEVEL_ERROR`
  `1000`
  `public static final int`
  `LOG_LEVEL_FATAL`
  `1000`
  `public static final int`
  `LOG_LEVEL_INFO`
  `800`
  `public static final int`
  `LOG_LEVEL_TRACE`
  `400`
  `public static final int`
  `LOG_LEVEL_WARN`
  `900`

- org.apache.naming.EjbRef
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_FACTORY`
  `"org.apache.naming.factory.EjbFactory"`
  `public static final String`
  `LINK`
  `"link"`
  `public static final String`
  `REMOTE`
  `"remote"`
  `public static final String`
  `TYPE`
  `"type"`
- org.apache.naming.HandlerRef
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_FACTORY`
  `"org.apache.naming.factory.HandlerFactory"`
  `public static final String`
  `HANDLER_CLASS`
  `"handlerclass"`
  `public static final String`
  `HANDLER_LOCALPART`
  `"handlerlocalpart"`
  `public static final String`
  `HANDLER_NAME`
  `"handlername"`
  `public static final String`
  `HANDLER_NAMESPACE`
  `"handlernamespace"`
  `public static final String`
  `HANDLER_PARAMNAME`
  `"handlerparamname"`
  `public static final String`
  `HANDLER_PARAMVALUE`
  `"handlerparamvalue"`
  `public static final String`
  `HANDLER_PORTNAME`
  `"handlerportname"`
  `public static final String`
  `HANDLER_SOAPROLE`
  `"handlersoaprole"`
- org.apache.naming.LookupRef
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `LOOKUP_NAME`
  `"lookup-name"`
- org.apache.naming.NamingEntry
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CONTEXT`
  `10`
  `public static final int`
  `ENTRY`
  `0`
  `public static final int`
  `LINK_REF`
  `1`
  `public static final int`
  `REFERENCE`
  `2`
- org.apache.naming.ResourceEnvRef
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_FACTORY`
  `"org.apache.naming.factory.ResourceEnvFactory"`
- org.apache.naming.ResourceLinkRef
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_FACTORY`
  `"org.apache.naming.factory.ResourceLinkFactory"`
  `public static final String`
  `GLOBALNAME`
  `"globalName"`
- org.apache.naming.ResourceRef
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `AUTH`
  `"auth"`
  `public static final String`
  `DEFAULT_FACTORY`
  `"org.apache.naming.factory.ResourceFactory"`
  `public static final String`
  `DESCRIPTION`
  `"description"`
  `public static final String`
  `SCOPE`
  `"scope"`
  `public static final String`
  `SINGLETON`
  `"singleton"`
- org.apache.naming.SelectorContext
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `IC_PREFIX`
  `"IC_"`
  `public static final String`
  `prefix`
  `"java:"`
- org.apache.naming.ServiceRef
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_FACTORY`
  `"org.apache.naming.factory.webservices.ServiceRefFactory"`
  `public static final String`
  `JAXRPCMAPPING`
  `"jaxrpcmapping"`
  `public static final String`
  `PORTCOMPONENTLINK`
  `"portcomponentlink"`
  `public static final String`
  `SERVICE_INTERFACE`
  `"serviceInterface"`
  `public static final String`
  `SERVICE_LOCAL_PART`
  `"service local part"`
  `public static final String`
  `SERVICE_NAMESPACE`
  `"service namespace"`
  `public static final String`
  `SERVICEENDPOINTINTERFACE`
  `"serviceendpointinterface"`
  `public static final String`
  `WSDL`
  `"wsdl"`
- org.apache.naming.TransactionRef
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_FACTORY`
  `"org.apache.naming.factory.TransactionFactory"`

- org.apache.naming.factory.Constants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DBCP_DATASOURCE_FACTORY`
  `"org.apache.tomcat.dbcp.dbcp2.BasicDataSourceFactory"`
  `public static final String`
  `DEFAULT_EJB_FACTORY`
  `"org.apache.naming.factory.EjbFactory"`
  `public static final String`
  `DEFAULT_HANDLER_FACTORY`
  `"org.apache.naming.factory.HandlerFactory"`
  `public static final String`
  `DEFAULT_LOOKUP_JNDI_FACTORY`
  `"org.apache.naming.factory.LookupFactory"`
  `public static final String`
  `DEFAULT_RESOURCE_ENV_FACTORY`
  `"org.apache.naming.factory.ResourceEnvFactory"`
  `public static final String`
  `DEFAULT_RESOURCE_FACTORY`
  `"org.apache.naming.factory.ResourceFactory"`
  `public static final String`
  `DEFAULT_RESOURCE_LINK_FACTORY`
  `"org.apache.naming.factory.ResourceLinkFactory"`
  `public static final String`
  `DEFAULT_SERVICE_FACTORY`
  `"org.apache.naming.factory.webservices.ServiceRefFactory"`
  `public static final String`
  `DEFAULT_TRANSACTION_FACTORY`
  `"org.apache.naming.factory.TransactionFactory"`
  `public static final String`
  `FACTORY`
  `"factory"`
  `public static final String`
  `OPENEJB_EJB_FACTORY`
  `"org.apache.naming.factory.OpenEjbFactory"`
  `public static final String`
  `Package`
  `"org.apache.naming.factory"`
- org.apache.naming.factory.MailSessionFactory
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `factoryType`
  `"javax.mail.Session"`
- org.apache.naming.factory.OpenEjbFactory
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `DEFAULT_OPENEJB_FACTORY`
  `"org.openejb.client.LocalInitialContextFactory"`
- org.apache.naming.factory.SendMailFactory
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `DataSourceClassName`
  `"javax.mail.internet.MimePartDataSource"`

- org.apache.naming.java.javaURLContextFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `MAIN`
  `"initialContext"`

- org.apache.tomcat.buildutil.translate.Constants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `END_PACKAGE_MARKER`
  `".zzz."`
  `public static final String`
  `L10N_PREFIX`
  `"LocalStrings"`
  `public static final String`
  `L10N_SUFFIX`
  `".properties"`
  `public static final String`
  `STORAGE_DIR`
  `".settings/translations"`

- org.apache.tomcat.dbcp.dbcp2.Constants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `JMX_CONNECTION_BASE_EXT`
  `",connectionpool=connections,connection="`
  `public static final String`
  `JMX_CONNECTION_POOL_BASE_EXT`
  `",connectionpool="`
  `public static final String`
  `JMX_CONNECTION_POOL_PREFIX`
  `"connections"`
  `public static final String`
  `JMX_STATEMENT_POOL_BASE_EXT`
  `",connectionpool=connections,connection="`
  `public static final String`
  `JMX_STATEMENT_POOL_PREFIX`
  `",statementpool=statements"`
  `public static final String`
  `KEY_PASSWORD`
  `"password"`
  `public static final String`
  `KEY_USER`
  `"user"`
- org.apache.tomcat.dbcp.dbcp2.PoolingDriver
  Modifier and Type
  Constant Field
  Value
  `protected static final int`
  `MAJOR_VERSION`
  `1`
  `protected static final int`
  `MINOR_VERSION`
  `0`
  `public static final String`
  `URL_PREFIX`
  `"jdbc:apache:commons:dbcp:"`
- org.apache.tomcat.dbcp.dbcp2.Utils
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DISCONNECTION_SQL_CODE_PREFIX`
  `"08"`

- org.apache.tomcat.dbcp.dbcp2.datasources.InstanceKeyDataSource
  Modifier and Type
  Constant Field
  Value
  `protected static final int`
  `UNKNOWN_TRANSACTIONISOLATION`
  `-1`

- org.apache.tomcat.dbcp.pool2.impl.BaseGenericObjectPool<T>
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `MEAN_TIMING_STATS_CACHE_SIZE`
  `100`
- org.apache.tomcat.dbcp.pool2.impl.BaseObjectPoolConfig<T>
  Modifier and Type
  Constant Field
  Value
  `public static final boolean`
  `DEFAULT_BLOCK_WHEN_EXHAUSTED`
  `true`
  `public static final boolean`
  `DEFAULT_COLLECT_DETAILED_STATISTICS`
  `true`
  `public static final long`
  `DEFAULT_EVICTOR_SHUTDOWN_TIMEOUT_MILLIS`
  `10000L`
  `public static final boolean`
  `DEFAULT_FAIRNESS`
  `false`
  `public static final boolean`
  `DEFAULT_JMX_ENABLE`
  `true`
  `public static final String`
  `DEFAULT_JMX_NAME_PREFIX`
  `"pool"`
  `public static final boolean`
  `DEFAULT_LIFO`
  `true`
  `public static final long`
  `DEFAULT_MAX_WAIT_MILLIS`
  `-1L`
  `public static final long`
  `DEFAULT_MIN_EVICTABLE_IDLE_TIME_MILLIS`
  `1800000L`
  `public static final int`
  `DEFAULT_NUM_TESTS_PER_EVICTION_RUN`
  `3`
  `public static final long`
  `DEFAULT_SOFT_MIN_EVICTABLE_IDLE_TIME_MILLIS`
  `-1L`
  `public static final boolean`
  `DEFAULT_TEST_ON_BORROW`
  `false`
  `public static final boolean`
  `DEFAULT_TEST_ON_CREATE`
  `false`
  `public static final boolean`
  `DEFAULT_TEST_ON_RETURN`
  `false`
  `public static final boolean`
  `DEFAULT_TEST_WHILE_IDLE`
  `false`
  `public static final long`
  `DEFAULT_TIME_BETWEEN_EVICTION_RUNS_MILLIS`
  `-1L`
- org.apache.tomcat.dbcp.pool2.impl.GenericKeyedObjectPoolConfig<T>
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_MAX_IDLE_PER_KEY`
  `8`
  `public static final int`
  `DEFAULT_MAX_TOTAL`
  `-1`
  `public static final int`
  `DEFAULT_MAX_TOTAL_PER_KEY`
  `8`
  `public static final int`
  `DEFAULT_MIN_IDLE_PER_KEY`
  `0`
  `public static final boolean`
  `DEFAULT_REUSE_CAPACITY_ON_MAINTENANCE`
  `false`
  `public static final boolean`
  `DEFAULT_REUSE_CAPACITY_ON_RETURN`
  `true`
- org.apache.tomcat.dbcp.pool2.impl.GenericObjectPoolConfig<T>
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_MAX_IDLE`
  `8`
  `public static final int`
  `DEFAULT_MAX_TOTAL`
  `8`
  `public static final int`
  `DEFAULT_MIN_IDLE`
  `0`

- org.apache.tomcat.jdbc.pool.ConnectionPool
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `POOL_JMX_DOMAIN`
  `"tomcat.jdbc"`
  `public static final String`
  `POOL_JMX_TYPE_PREFIX`
  `"tomcat.jdbc:type="`
- org.apache.tomcat.jdbc.pool.DataSourceFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `OBJECT_NAME`
  `"object_name"`
  `protected static final String`
  `PROP_ABANDONWHENPERCENTAGEFULL`
  `"abandonWhenPercentageFull"`
  `protected static final String`
  `PROP_ACCESSTOUNDERLYINGCONNECTIONALLOWED`
  `"accessToUnderlyingConnectionAllowed"`
  `protected static final String`
  `PROP_ALTERNATE_USERNAME_ALLOWED`
  `"alternateUsernameAllowed"`
  `protected static final String`
  `PROP_COMMITONRETURN`
  `"commitOnReturn"`
  `protected static final String`
  `PROP_CONNECTIONPROPERTIES`
  `"connectionProperties"`
  `protected static final String`
  `PROP_DATASOURCE`
  `"dataSource"`
  `protected static final String`
  `PROP_DATASOURCE_JNDI`
  `"dataSourceJNDI"`
  `protected static final String`
  `PROP_DEFAULTAUTOCOMMIT`
  `"defaultAutoCommit"`
  `protected static final String`
  `PROP_DEFAULTCATALOG`
  `"defaultCatalog"`
  `protected static final String`
  `PROP_DEFAULTREADONLY`
  `"defaultReadOnly"`
  `protected static final String`
  `PROP_DEFAULTTRANSACTIONISOLATION`
  `"defaultTransactionIsolation"`
  `protected static final String`
  `PROP_DRIVERCLASSNAME`
  `"driverClassName"`
  `protected static final String`
  `PROP_FAIR_QUEUE`
  `"fairQueue"`
  `protected static final String`
  `PROP_IGNOREEXCEPTIONONPRELOAD`
  `"ignoreExceptionOnPreLoad"`
  `protected static final String`
  `PROP_INITIALSIZE`
  `"initialSize"`
  `protected static final String`
  `PROP_INITSQL`
  `"initSQL"`
  `protected static final String`
  `PROP_INTERCEPTORS`
  `"jdbcInterceptors"`
  `protected static final String`
  `PROP_JMX_ENABLED`
  `"jmxEnabled"`
  `protected static final String`
  `PROP_LOGABANDONED`
  `"logAbandoned"`
  `protected static final String`
  `PROP_LOGVALIDATIONERRORS`
  `"logValidationErrors"`
  `protected static final String`
  `PROP_MAXACTIVE`
  `"maxActive"`
  `protected static final String`
  `PROP_MAXAGE`
  `"maxAge"`
  `protected static final String`
  `PROP_MAXIDLE`
  `"maxIdle"`
  `protected static final String`
  `PROP_MAXOPENPREPAREDSTATEMENTS`
  `"maxOpenPreparedStatements"`
  `protected static final String`
  `PROP_MAXWAIT`
  `"maxWait"`
  `protected static final String`
  `PROP_MINEVICTABLEIDLETIMEMILLIS`
  `"minEvictableIdleTimeMillis"`
  `protected static final String`
  `PROP_MINIDLE`
  `"minIdle"`
  `protected static final String`
  `PROP_NUMTESTSPEREVICTIONRUN`
  `"numTestsPerEvictionRun"`
  `protected static final String`
  `PROP_PASSWORD`
  `"password"`
  `protected static final String`
  `PROP_POOLPREPAREDSTATEMENTS`
  `"poolPreparedStatements"`
  `protected static final String`
  `PROP_PROPAGATEINTERRUPTSTATE`
  `"propagateInterruptState"`
  `protected static final String`
  `PROP_REMOVEABANDONED`
  `"removeAbandoned"`
  `protected static final String`
  `PROP_REMOVEABANDONEDTIMEOUT`
  `"removeAbandonedTimeout"`
  `protected static final String`
  `PROP_ROLLBACKONRETURN`
  `"rollbackOnReturn"`
  `protected static final String`
  `PROP_SUSPECT_TIMEOUT`
  `"suspectTimeout"`
  `protected static final String`
  `PROP_TESTONBORROW`
  `"testOnBorrow"`
  `protected static final String`
  `PROP_TESTONCONNECT`
  `"testOnConnect"`
  `protected static final String`
  `PROP_TESTONRETURN`
  `"testOnReturn"`
  `protected static final String`
  `PROP_TESTWHILEIDLE`
  `"testWhileIdle"`
  `protected static final String`
  `PROP_TIMEBETWEENEVICTIONRUNSMILLIS`
  `"timeBetweenEvictionRunsMillis"`
  `protected static final String`
  `PROP_URL`
  `"url"`
  `protected static final String`
  `PROP_USE_CON_LOCK`
  `"useLock"`
  `protected static final String`
  `PROP_USE_EQUALS`
  `"useEquals"`
  `protected static final String`
  `PROP_USEDISPOSABLECONNECTIONFACADE`
  `"useDisposableConnectionFacade"`
  `protected static final String`
  `PROP_USERNAME`
  `"username"`
  `protected static final String`
  `PROP_USESTATEMENTFACADE`
  `"useStatementFacade"`
  `protected static final String`
  `PROP_VALIDATIONINTERVAL`
  `"validationInterval"`
  `protected static final String`
  `PROP_VALIDATIONQUERY`
  `"validationQuery"`
  `protected static final String`
  `PROP_VALIDATIONQUERY_TIMEOUT`
  `"validationQueryTimeout"`
  `protected static final String`
  `PROP_VALIDATOR_CLASS_NAME`
  `"validatorClassName"`
  `public static final int`
  `UNKNOWN_TRANSACTIONISOLATION`
  `-1`
- org.apache.tomcat.jdbc.pool.JdbcInterceptor
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CLOSE_VAL`
  `"close"`
  `public static final String`
  `EQUALS_VAL`
  `"equals"`
  `public static final String`
  `GETCONNECTION_VAL`
  `"getConnection"`
  `public static final String`
  `HASHCODE_VAL`
  `"hashCode"`
  `public static final String`
  `ISCLOSED_VAL`
  `"isClosed"`
  `public static final String`
  `ISVALID_VAL`
  `"isValid"`
  `public static final String`
  `ISWRAPPERFOR_VAL`
  `"isWrapperFor"`
  `public static final String`
  `TOSTRING_VAL`
  `"toString"`
  `public static final String`
  `UNWRAP_VAL`
  `"unwrap"`
- org.apache.tomcat.jdbc.pool.PoolConfiguration
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `PKG_PREFIX`
  `"org.apache.tomcat.jdbc.pool.interceptor."`
- org.apache.tomcat.jdbc.pool.PooledConnection
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `PROP_PASSWORD`
  `"password"`
  `public static final String`
  `PROP_USER`
  `"user"`
  `public static final int`
  `VALIDATE_BORROW`
  `1`
  `public static final int`
  `VALIDATE_IDLE`
  `3`
  `public static final int`
  `VALIDATE_INIT`
  `4`
  `public static final int`
  `VALIDATE_RETURN`
  `2`
- org.apache.tomcat.jdbc.pool.PoolProperties
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_MAX_ACTIVE`
  `100`
- org.apache.tomcat.jdbc.pool.PoolUtilities
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `PROP_PASSWORD`
  `"password"`
  `public static final String`
  `PROP_USER`
  `"user"`

- org.apache.tomcat.jdbc.pool.interceptor.AbstractCreateStatementInterceptor
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `CREATE_STATEMENT`
  `"createStatement"`
  `protected static final int`
  `CREATE_STATEMENT_IDX`
  `0`
  `protected static final String`
  `EXECUTE`
  `"execute"`
  `protected static final String`
  `EXECUTE_BATCH`
  `"executeBatch"`
  `protected static final String`
  `EXECUTE_QUERY`
  `"executeQuery"`
  `protected static final String`
  `EXECUTE_UPDATE`
  `"executeUpdate"`
  `protected static final String`
  `GET_GENERATED_KEYS`
  `"getGeneratedKeys"`
  `protected static final String`
  `GET_RESULTSET`
  `"getResultSet"`
  `protected static final String`
  `GET_STATEMENT`
  `"getStatement"`
  `protected static final String`
  `PREPARE_CALL`
  `"prepareCall"`
  `protected static final int`
  `PREPARE_CALL_IDX`
  `2`
  `protected static final String`
  `PREPARE_STATEMENT`
  `"prepareStatement"`
  `protected static final int`
  `PREPARE_STATEMENT_IDX`
  `1`
  `protected static final int`
  `RESULTSET_IDX`
  `3`
- org.apache.tomcat.jdbc.pool.interceptor.SlowQueryReportJmx
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FAILED_QUERY_NOTIFICATION`
  `"FAILED QUERY"`
  `public static final String`
  `objectNameAttribute`
  `"objectName"`
  `public static final String`
  `SLOW_QUERY_NOTIFICATION`
  `"SLOW QUERY"`
- org.apache.tomcat.jdbc.pool.interceptor.StatementDecoratorInterceptor
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `EXECUTE_QUERY`
  `"executeQuery"`
  `protected static final String`
  `GET_GENERATED_KEYS`
  `"getGeneratedKeys"`
  `protected static final String`
  `GET_RESULTSET`
  `"getResultSet"`

- org.apache.tomcat.jdbc.pool.jmx.ConnectionPool
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `FAILED_QUERY_NOTIFICATION`
  `"FAILED QUERY"`
  `public static final String`
  `NOTIFY_ABANDON`
  `"CONNECTION ABANDONED"`
  `public static final String`
  `NOTIFY_CONNECT`
  `"CONNECTION FAILED"`
  `public static final String`
  `NOTIFY_INIT`
  `"INIT FAILED"`
  `public static final String`
  `POOL_EMPTY`
  `"POOL EMPTY"`
  `public static final String`
  `SLOW_QUERY_NOTIFICATION`
  `"SLOW QUERY"`
  `public static final String`
  `SUSPECT_ABANDONED_NOTIFICATION`
  `"SUSPECT CONNECTION ABANDONED"`
  `public static final String`
  `SUSPECT_RETURNED_NOTIFICATION`
  `"SUSPECT CONNECTION RETURNED"`

- org.apache.tomcat.jni.Address
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `APR_ANYADDR`
  `"0.0.0.0"`
- org.apache.tomcat.jni.File
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `APR_BLK`
  `4`
  `public static final int`
  `APR_CHR`
  `3`
  `public static final int`
  `APR_CUR`
  `1`
  `public static final int`
  `APR_DIR`
  `2`
  `public static final int`
  `APR_END`
  `2`
  `public static final int`
  `APR_FILE_ATTR_EXECUTABLE`
  `2`
  `public static final int`
  `APR_FILE_ATTR_HIDDEN`
  `4`
  `public static final int`
  `APR_FILE_ATTR_READONLY`
  `1`
  `public static final int`
  `APR_FINFO_ATIME`
  `64`
  `public static final int`
  `APR_FINFO_CSIZE`
  `512`
  `public static final int`
  `APR_FINFO_CTIME`
  `32`
  `public static final int`
  `APR_FINFO_DEV`
  `4096`
  `public static final int`
  `APR_FINFO_DIRENT`
  `33554432`
  `public static final int`
  `APR_FINFO_GPROT`
  `2097152`
  `public static final int`
  `APR_FINFO_GROUP`
  `131072`
  `public static final int`
  `APR_FINFO_ICASE`
  `16777216`
  `public static final int`
  `APR_FINFO_IDENT`
  `12288`
  `public static final int`
  `APR_FINFO_INODE`
  `8192`
  `public static final int`
  `APR_FINFO_LINK`
  `1`
  `public static final int`
  `APR_FINFO_MIN`
  `33136`
  `public static final int`
  `APR_FINFO_MTIME`
  `16`
  `public static final int`
  `APR_FINFO_NAME`
  `33554432`
  `public static final int`
  `APR_FINFO_NLINK`
  `16384`
  `public static final int`
  `APR_FINFO_NORM`
  `7582064`
  `public static final int`
  `APR_FINFO_OWNER`
  `196608`
  `public static final int`
  `APR_FINFO_PROT`
  `7340032`
  `public static final int`
  `APR_FINFO_SIZE`
  `256`
  `public static final int`
  `APR_FINFO_TYPE`
  `32768`
  `public static final int`
  `APR_FINFO_UPROT`
  `1048576`
  `public static final int`
  `APR_FINFO_USER`
  `65536`
  `public static final int`
  `APR_FINFO_WPROT`
  `4194304`
  `public static final int`
  `APR_FLOCK_EXCLUSIVE`
  `2`
  `public static final int`
  `APR_FLOCK_NONBLOCK`
  `16`
  `public static final int`
  `APR_FLOCK_SHARED`
  `1`
  `public static final int`
  `APR_FLOCK_TYPEMASK`
  `15`
  `public static final int`
  `APR_FOPEN_APPEND`
  `8`
  `public static final int`
  `APR_FOPEN_BINARY`
  `32`
  `public static final int`
  `APR_FOPEN_BUFFERED`
  `128`
  `public static final int`
  `APR_FOPEN_CREATE`
  `4`
  `public static final int`
  `APR_FOPEN_DELONCLOSE`
  `256`
  `public static final int`
  `APR_FOPEN_EXCL`
  `64`
  `public static final int`
  `APR_FOPEN_LARGEFILE`
  `16384`
  `public static final int`
  `APR_FOPEN_NOCLEANUP`
  `2048`
  `public static final int`
  `APR_FOPEN_READ`
  `1`
  `public static final int`
  `APR_FOPEN_SENDFILE_ENABLED`
  `4096`
  `public static final int`
  `APR_FOPEN_SHARELOCK`
  `1024`
  `public static final int`
  `APR_FOPEN_TRUNCATE`
  `16`
  `public static final int`
  `APR_FOPEN_WRITE`
  `2`
  `public static final int`
  `APR_FOPEN_XTHREAD`
  `512`
  `public static final int`
  `APR_FPROT_GEXECUTE`
  `16`
  `public static final int`
  `APR_FPROT_GREAD`
  `64`
  `public static final int`
  `APR_FPROT_GSETID`
  `16384`
  `public static final int`
  `APR_FPROT_GWRITE`
  `32`
  `public static final int`
  `APR_FPROT_OS_DEFAULT`
  `4095`
  `public static final int`
  `APR_FPROT_UEXECUTE`
  `256`
  `public static final int`
  `APR_FPROT_UREAD`
  `1024`
  `public static final int`
  `APR_FPROT_USETID`
  `32768`
  `public static final int`
  `APR_FPROT_UWRITE`
  `512`
  `public static final int`
  `APR_FPROT_WEXECUTE`
  `1`
  `public static final int`
  `APR_FPROT_WREAD`
  `4`
  `public static final int`
  `APR_FPROT_WSTICKY`
  `8192`
  `public static final int`
  `APR_FPROT_WWRITE`
  `2`
  `public static final int`
  `APR_LNK`
  `6`
  `public static final int`
  `APR_NOFILE`
  `0`
  `public static final int`
  `APR_PIPE`
  `5`
  `public static final int`
  `APR_REG`
  `1`
  `public static final int`
  `APR_SET`
  `0`
  `public static final int`
  `APR_SOCK`
  `7`
  `public static final int`
  `APR_UNKFILE`
  `127`
- org.apache.tomcat.jni.Lock
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `APR_LOCK_DEFAULT`
  `5`
  `public static final int`
  `APR_LOCK_FCNTL`
  `0`
  `public static final int`
  `APR_LOCK_FLOCK`
  `1`
  `public static final int`
  `APR_LOCK_POSIXSEM`
  `4`
  `public static final int`
  `APR_LOCK_PROC_PTHREAD`
  `3`
  `public static final int`
  `APR_LOCK_SYSVSEM`
  `2`
- org.apache.tomcat.jni.Mmap
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `APR_MMAP_READ`
  `1`
  `public static final int`
  `APR_MMAP_WRITE`
  `2`
- org.apache.tomcat.jni.OS
  Modifier and Type
  Constant Field
  Value
  `public static final boolean`
  `IS_NETWARE`
  `false`
  `public static final int`
  `LOG_DEBUG`
  `6`
  `public static final int`
  `LOG_EMERG`
  `1`
  `public static final int`
  `LOG_ERROR`
  `2`
  `public static final int`
  `LOG_INFO`
  `5`
  `public static final int`
  `LOG_NOTICE`
  `3`
  `public static final int`
  `LOG_WARN`
  `4`
- org.apache.tomcat.jni.Poll
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `APR_NO_DESC`
  `0`
  `public static final int`
  `APR_POLL_FILE`
  `2`
  `public static final int`
  `APR_POLL_LASTDESC`
  `3`
  `public static final int`
  `APR_POLL_SOCKET`
  `1`
  `public static final int`
  `APR_POLLERR`
  `16`
  `public static final int`
  `APR_POLLHUP`
  `32`
  `public static final int`
  `APR_POLLIN`
  `1`
  `public static final int`
  `APR_POLLNVAL`
  `64`
  `public static final int`
  `APR_POLLOUT`
  `4`
  `public static final int`
  `APR_POLLPRI`
  `2`
  `public static final int`
  `APR_POLLSET_THREADSAFE`
  `1`
- org.apache.tomcat.jni.Proc
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `APR_CHILD_BLOCK`
  `4`
  `public static final int`
  `APR_FULL_BLOCK`
  `1`
  `public static final int`
  `APR_FULL_NONBLOCK`
  `2`
  `public static final int`
  `APR_JUST_WAIT`
  `3`
  `public static final int`
  `APR_KILL_AFTER_TIMEOUT`
  `2`
  `public static final int`
  `APR_KILL_ALWAYS`
  `1`
  `public static final int`
  `APR_KILL_NEVER`
  `0`
  `public static final int`
  `APR_KILL_ONLY_ONCE`
  `4`
  `public static final int`
  `APR_LIMIT_CPU`
  `0`
  `public static final int`
  `APR_LIMIT_MEM`
  `1`
  `public static final int`
  `APR_LIMIT_NOFILE`
  `3`
  `public static final int`
  `APR_LIMIT_NPROC`
  `2`
  `public static final int`
  `APR_NO_PIPE`
  `0`
  `public static final int`
  `APR_NOWAIT`
  `1`
  `public static final int`
  `APR_OC_REASON_DEATH`
  `0`
  `public static final int`
  `APR_OC_REASON_LOST`
  `4`
  `public static final int`
  `APR_OC_REASON_RESTART`
  `2`
  `public static final int`
  `APR_OC_REASON_RUNNING`
  `5`
  `public static final int`
  `APR_OC_REASON_UNREGISTER`
  `3`
  `public static final int`
  `APR_OC_REASON_UNWRITABLE`
  `1`
  `public static final int`
  `APR_PARENT_BLOCK`
  `3`
  `public static final int`
  `APR_PROC_DETACH_DAEMONIZE`
  `1`
  `public static final int`
  `APR_PROC_DETACH_FOREGROUND`
  `0`
  `public static final int`
  `APR_PROC_EXIT`
  `1`
  `public static final int`
  `APR_PROC_SIGNAL`
  `2`
  `public static final int`
  `APR_PROC_SIGNAL_CORE`
  `4`
  `public static final int`
  `APR_PROGRAM`
  `1`
  `public static final int`
  `APR_PROGRAM_ENV`
  `2`
  `public static final int`
  `APR_PROGRAM_PATH`
  `3`
  `public static final int`
  `APR_SHELLCM`
  `0`
  `public static final int`
  `APR_SHELLCMD_ENV`
  `4`
  `public static final int`
  `APR_WAIT`
  `0`
  `public static final int`
  `MAX_ARGS_SIZE`
  `1024`
  `public static final int`
  `MAX_ENV_SIZE`
  `1024`
- org.apache.tomcat.jni.Registry
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `HKEY_CLASSES_ROOT`
  `1`
  `public static final int`
  `HKEY_CURRENT_CONFIG`
  `2`
  `public static final int`
  `HKEY_CURRENT_USER`
  `3`
  `public static final int`
  `HKEY_LOCAL_MACHINE`
  `4`
  `public static final int`
  `HKEY_USERS`
  `5`
  `public static final int`
  `KEY_ALL_ACCESS`
  `1`
  `public static final int`
  `KEY_CREATE_LINK`
  `2`
  `public static final int`
  `KEY_CREATE_SUB_KEY`
  `4`
  `public static final int`
  `KEY_ENUMERATE_SUB_KEYS`
  `8`
  `public static final int`
  `KEY_EXECUTE`
  `16`
  `public static final int`
  `KEY_NOTIFY`
  `32`
  `public static final int`
  `KEY_QUERY_VALUE`
  `64`
  `public static final int`
  `KEY_READ`
  `128`
  `public static final int`
  `KEY_SET_VALUE`
  `256`
  `public static final int`
  `KEY_WOW64_32KEY`
  `1024`
  `public static final int`
  `KEY_WOW64_64KEY`
  `512`
  `public static final int`
  `KEY_WRITE`
  `2048`
  `public static final int`
  `REG_BINARY`
  `1`
  `public static final int`
  `REG_DWORD`
  `2`
  `public static final int`
  `REG_EXPAND_SZ`
  `3`
  `public static final int`
  `REG_MULTI_SZ`
  `4`
  `public static final int`
  `REG_QWORD`
  `5`
  `public static final int`
  `REG_SZ`
  `6`
- org.apache.tomcat.jni.Socket
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `APR_INCOMPLETE_READ`
  `4096`
  `public static final int`
  `APR_INCOMPLETE_WRITE`
  `8192`
  `public static final int`
  `APR_INET`
  `1`
  `public static final int`
  `APR_INET6`
  `2`
  `public static final int`
  `APR_IPV4_ADDR_OK`
  `1`
  `public static final int`
  `APR_IPV6_ADDR_OK`
  `2`
  `public static final int`
  `APR_IPV6_V6ONLY`
  `16384`
  `public static final int`
  `APR_LOCAL`
  `0`
  `public static final int`
  `APR_PROTO_SCTP`
  `132`
  `public static final int`
  `APR_PROTO_TCP`
  `6`
  `public static final int`
  `APR_PROTO_UDP`
  `17`
  `public static final int`
  `APR_REMOTE`
  `1`
  `public static final int`
  `APR_RESET_NODELAY`
  `2048`
  `public static final int`
  `APR_SHUTDOWN_READ`
  `0`
  `public static final int`
  `APR_SHUTDOWN_READWRITE`
  `2`
  `public static final int`
  `APR_SHUTDOWN_WRITE`
  `1`
  `public static final int`
  `APR_SO_DEBUG`
  `4`
  `public static final int`
  `APR_SO_DISCONNECTED`
  `256`
  `public static final int`
  `APR_SO_KEEPALIVE`
  `2`
  `public static final int`
  `APR_SO_LINGER`
  `1`
  `public static final int`
  `APR_SO_NONBLOCK`
  `8`
  `public static final int`
  `APR_SO_RCVBUF`
  `128`
  `public static final int`
  `APR_SO_REUSEADDR`
  `16`
  `public static final int`
  `APR_SO_SNDBUF`
  `64`
  `public static final int`
  `APR_TCP_DEFER_ACCEPT`
  `32768`
  `public static final int`
  `APR_TCP_NODELAY`
  `512`
  `public static final int`
  `APR_TCP_NOPUSH`
  `1024`
  `public static final int`
  `APR_UNIX`
  `3`
  `public static final int`
  `APR_UNSPEC`
  `0`
  `public static final int`
  `SOCK_DGRAM`
  `1`
  `public static final int`
  `SOCK_STREAM`
  `0`
  `public static final int`
  `SOCKET_GET_APRS`
  `2`
  `public static final int`
  `SOCKET_GET_IMPL`
  `1`
  `public static final int`
  `SOCKET_GET_POOL`
  `0`
  `public static final int`
  `SOCKET_GET_TYPE`
  `3`
- org.apache.tomcat.jni.SSL
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `SSL_AIDX_DSA`
  `1`
  `public static final int`
  `SSL_AIDX_ECC`
  `3`
  `public static final int`
  `SSL_AIDX_MAX`
  `4`
  `public static final int`
  `SSL_AIDX_RSA`
  `0`
  `public static final int`
  `SSL_ALGO_ALL`
  `3`
  `public static final int`
  `SSL_ALGO_DSA`
  `2`
  `public static final int`
  `SSL_ALGO_RSA`
  `1`
  `public static final int`
  `SSL_ALGO_UNKNOWN`
  `0`
  `public static final int`
  `SSL_CONF_FLAG_CERTIFICATE`
  `32`
  `public static final int`
  `SSL_CONF_FLAG_CLIENT`
  `4`
  `public static final int`
  `SSL_CONF_FLAG_CMDLINE`
  `1`
  `public static final int`
  `SSL_CONF_FLAG_FILE`
  `2`
  `public static final int`
  `SSL_CONF_FLAG_SERVER`
  `8`
  `public static final int`
  `SSL_CONF_FLAG_SHOW_ERRORS`
  `16`
  `public static final int`
  `SSL_CONF_TYPE_DIR`
  `3`
  `public static final int`
  `SSL_CONF_TYPE_FILE`
  `2`
  `public static final int`
  `SSL_CONF_TYPE_STRING`
  `1`
  `public static final int`
  `SSL_CONF_TYPE_UNKNOWN`
  `0`
  `public static final int`
  `SSL_CRT_FORMAT_ASN1`
  `1`
  `public static final int`
  `SSL_CRT_FORMAT_ENGINE`
  `7`
  `public static final int`
  `SSL_CRT_FORMAT_NETSCAPE`
  `4`
  `public static final int`
  `SSL_CRT_FORMAT_PEM`
  `3`
  `public static final int`
  `SSL_CRT_FORMAT_PKCS12`
  `5`
  `public static final int`
  `SSL_CRT_FORMAT_SMIME`
  `6`
  `public static final int`
  `SSL_CRT_FORMAT_TEXT`
  `2`
  `public static final int`
  `SSL_CRT_FORMAT_UNDEF`
  `0`
  `public static final int`
  `SSL_CVERIFY_NONE`
  `0`
  `public static final int`
  `SSL_CVERIFY_OPTIONAL`
  `1`
  `public static final int`
  `SSL_CVERIFY_OPTIONAL_NO_CA`
  `3`
  `public static final int`
  `SSL_CVERIFY_REQUIRE`
  `2`
  `public static final int`
  `SSL_CVERIFY_UNSET`
  `-1`
  `public static final int`
  `SSL_ERROR_NONE`
  `0`
  `public static final int`
  `SSL_ERROR_SSL`
  `1`
  `public static final int`
  `SSL_ERROR_SYSCALL`
  `5`
  `public static final int`
  `SSL_ERROR_WANT_ACCEPT`
  `8`
  `public static final int`
  `SSL_ERROR_WANT_CONNECT`
  `7`
  `public static final int`
  `SSL_ERROR_WANT_READ`
  `2`
  `public static final int`
  `SSL_ERROR_WANT_WRITE`
  `3`
  `public static final int`
  `SSL_ERROR_WANT_X509_LOOKUP`
  `4`
  `public static final int`
  `SSL_ERROR_ZERO_RETURN`
  `6`
  `public static final int`
  `SSL_INFO_CIPHER`
  `2`
  `public static final int`
  `SSL_INFO_CIPHER_ALGKEYSIZE`
  `4`
  `public static final int`
  `SSL_INFO_CIPHER_DESCRIPTION`
  `6`
  `public static final int`
  `SSL_INFO_CIPHER_USEKEYSIZE`
  `3`
  `public static final int`
  `SSL_INFO_CIPHER_VERSION`
  `5`
  `public static final int`
  `SSL_INFO_CLIENT_A_KEY`
  `262`
  `public static final int`
  `SSL_INFO_CLIENT_A_SIG`
  `261`
  `public static final int`
  `SSL_INFO_CLIENT_CERT`
  `263`
  `public static final int`
  `SSL_INFO_CLIENT_CERT_CHAIN`
  `1024`
  `public static final int`
  `SSL_INFO_CLIENT_I_DN`
  `32`
  `public static final int`
  `SSL_INFO_CLIENT_M_SERIAL`
  `258`
  `public static final int`
  `SSL_INFO_CLIENT_M_VERSION`
  `257`
  `public static final int`
  `SSL_INFO_CLIENT_S_DN`
  `16`
  `public static final int`
  `SSL_INFO_CLIENT_V_END`
  `260`
  `public static final int`
  `SSL_INFO_CLIENT_V_REMAIN`
  `264`
  `public static final int`
  `SSL_INFO_CLIENT_V_START`
  `259`
  `public static final int`
  `SSL_INFO_DN_COMMONNAME`
  `6`
  `public static final int`
  `SSL_INFO_DN_COUNTRYNAME`
  `1`
  `public static final int`
  `SSL_INFO_DN_DESCRIPTION`
  `11`
  `public static final int`
  `SSL_INFO_DN_EMAILADDRESS`
  `13`
  `public static final int`
  `SSL_INFO_DN_GIVENNAME`
  `9`
  `public static final int`
  `SSL_INFO_DN_INITIALS`
  `8`
  `public static final int`
  `SSL_INFO_DN_LOCALITYNAME`
  `3`
  `public static final int`
  `SSL_INFO_DN_ORGANIZATIONALUNITNAME`
  `5`
  `public static final int`
  `SSL_INFO_DN_ORGANIZATIONNAME`
  `4`
  `public static final int`
  `SSL_INFO_DN_STATEORPROVINCENAME`
  `2`
  `public static final int`
  `SSL_INFO_DN_SURNAME`
  `10`
  `public static final int`
  `SSL_INFO_DN_TITLE`
  `7`
  `public static final int`
  `SSL_INFO_DN_UNIQUEIDENTIFIER`
  `12`
  `public static final int`
  `SSL_INFO_PROTOCOL`
  `7`
  `public static final int`
  `SSL_INFO_SERVER_A_KEY`
  `518`
  `public static final int`
  `SSL_INFO_SERVER_A_SIG`
  `517`
  `public static final int`
  `SSL_INFO_SERVER_CERT`
  `519`
  `public static final int`
  `SSL_INFO_SERVER_I_DN`
  `128`
  `public static final int`
  `SSL_INFO_SERVER_M_SERIAL`
  `514`
  `public static final int`
  `SSL_INFO_SERVER_M_VERSION`
  `513`
  `public static final int`
  `SSL_INFO_SERVER_S_DN`
  `64`
  `public static final int`
  `SSL_INFO_SERVER_V_END`
  `516`
  `public static final int`
  `SSL_INFO_SERVER_V_START`
  `515`
  `public static final int`
  `SSL_INFO_SESSION_ID`
  `1`
  `public static final int`
  `SSL_MODE_CLIENT`
  `0`
  `public static final int`
  `SSL_MODE_COMBINED`
  `2`
  `public static final int`
  `SSL_MODE_SERVER`
  `1`
  `public static final int`
  `SSL_OP_ALL`
  `4095`
  `public static final int`
  `SSL_OP_ALLOW_UNSAFE_LEGACY_RENEGOTIATION`
  `262144`
  `public static final int`
  `SSL_OP_CIPHER_SERVER_PREFERENCE`
  `4194304`
  `public static final int`
  `SSL_OP_DONT_INSERT_EMPTY_FRAGMENTS`
  `2048`
  `public static final int`
  `SSL_OP_EPHEMERAL_RSA`
  `2097152`
  `public static final int`
  `SSL_OP_MICROSOFT_BIG_SSLV3_BUFFER`
  `32`
  `public static final int`
  `SSL_OP_MICROSOFT_SESS_ID_BUG`
  `1`
  `public static final int`
  `SSL_OP_MSIE_SSLV2_RSA_PADDING`
  `64`
  `public static final int`
  `SSL_OP_NETSCAPE_CA_DN_BUG`
  `536870912`
  `public static final int`
  `SSL_OP_NETSCAPE_CHALLENGE_BUG`
  `2`
  `public static final int`
  `SSL_OP_NETSCAPE_DEMO_CIPHER_CHANGE_BUG`
  `1073741824`
  `public static final int`
  `SSL_OP_NETSCAPE_REUSE_CIPHER_CHANGE_BUG`
  `8`
  `public static final int`
  `SSL_OP_NO_COMPRESSION`
  `131072`
  `public static final int`
  `SSL_OP_NO_SESSION_RESUMPTION_ON_RENEGOTIATION`
  `65536`
  `public static final int`
  `SSL_OP_NO_SSLv2`
  `16777216`
  `public static final int`
  `SSL_OP_NO_SSLv3`
  `33554432`
  `public static final int`
  `SSL_OP_NO_TICKET`
  `16384`
  `public static final int`
  `SSL_OP_NO_TLSv1`
  `67108864`
  `public static final int`
  `SSL_OP_NO_TLSv1_1`
  `268435456`
  `public static final int`
  `SSL_OP_NO_TLSv1_2`
  `134217728`
  `public static final int`
  `SSL_OP_PKCS1_CHECK_1`
  `134217728`
  `public static final int`
  `SSL_OP_PKCS1_CHECK_2`
  `268435456`
  `public static final int`
  `SSL_OP_SINGLE_DH_USE`
  `1048576`
  `public static final int`
  `SSL_OP_SINGLE_ECDH_USE`
  `524288`
  `public static final int`
  `SSL_OP_SSLEAY_080_CLIENT_DH_BUG`
  `128`
  `public static final int`
  `SSL_OP_SSLREF2_REUSE_CERT_TYPE_BUG`
  `16`
  `public static final int`
  `SSL_OP_TLS_BLOCK_PADDING_BUG`
  `512`
  `public static final int`
  `SSL_OP_TLS_D5_BUG`
  `256`
  `public static final int`
  `SSL_OP_TLS_ROLLBACK_BUG`
  `8388608`
  `public static final int`
  `SSL_OPT_ALL`
  `122`
  `public static final int`
  `SSL_OPT_EXPORTCERTDATA`
  `8`
  `public static final int`
  `SSL_OPT_FAKEBASICAUTH`
  `16`
  `public static final int`
  `SSL_OPT_NONE`
  `0`
  `public static final int`
  `SSL_OPT_OPTRENEGOTIATE`
  `64`
  `public static final int`
  `SSL_OPT_RELSET`
  `1`
  `public static final int`
  `SSL_OPT_STDENVVARS`
  `2`
  `public static final int`
  `SSL_OPT_STRICTREQUIRE`
  `32`
  `public static final int`
  `SSL_PROTOCOL_NONE`
  `0`
  `public static final int`
  `SSL_PROTOCOL_SSLV2`
  `1`
  `public static final int`
  `SSL_PROTOCOL_SSLV3`
  `2`
  `public static final int`
  `SSL_PROTOCOL_TLSV1`
  `4`
  `public static final int`
  `SSL_PROTOCOL_TLSV1_1`
  `8`
  `public static final int`
  `SSL_PROTOCOL_TLSV1_2`
  `16`
  `public static final int`
  `SSL_PROTOCOL_TLSV1_3`
  `32`
  `public static final int`
  `SSL_RECEIVED_SHUTDOWN`
  `2`
  `public static final int`
  `SSL_SELECTOR_FAILURE_CHOOSE_MY_LAST_PROTOCOL`
  `1`
  `public static final int`
  `SSL_SELECTOR_FAILURE_NO_ADVERTISE`
  `0`
  `public static final int`
  `SSL_SENT_SHUTDOWN`
  `1`
  `public static final long`
  `SSL_SESS_CACHE_OFF`
  `0L`
  `public static final long`
  `SSL_SESS_CACHE_SERVER`
  `2L`
  `public static final int`
  `SSL_SHUTDOWN_TYPE_ACCURATE`
  `3`
  `public static final int`
  `SSL_SHUTDOWN_TYPE_STANDARD`
  `1`
  `public static final int`
  `SSL_SHUTDOWN_TYPE_UNCLEAN`
  `2`
  `public static final int`
  `SSL_SHUTDOWN_TYPE_UNSET`
  `0`
  `public static final int`
  `SSL_TMP_KEY_DH_1024`
  `5`
  `public static final int`
  `SSL_TMP_KEY_DH_2048`
  `6`
  `public static final int`
  `SSL_TMP_KEY_DH_4096`
  `7`
  `public static final int`
  `SSL_TMP_KEY_DH_512`
  `4`
  `public static final int`
  `SSL_TMP_KEY_MAX`
  `8`
  `public static final int`
  `SSL_TMP_KEY_RSA_1024`
  `1`
  `public static final int`
  `SSL_TMP_KEY_RSA_2048`
  `2`
  `public static final int`
  `SSL_TMP_KEY_RSA_4096`
  `3`
  `public static final int`
  `SSL_TMP_KEY_RSA_512`
  `0`
  `public static final int`
  `SSL_VERIFY_CLIENT_ONCE`
  `4`
  `public static final int`
  `SSL_VERIFY_FAIL_IF_NO_PEER_CERT`
  `2`
  `public static final int`
  `SSL_VERIFY_NONE`
  `0`
  `public static final int`
  `SSL_VERIFY_PEER`
  `1`
  `public static final int`
  `SSL_VERIFY_PEER_STRICT`
  `3`
  `public static final int`
  `UNSET`
  `-1`
- org.apache.tomcat.jni.Status
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `APR_ANONYMOUS`
  `70019`
  `public static final int`
  `APR_BADARG`
  `70013`
  `public static final int`
  `APR_BADCH`
  `70012`
  `public static final int`
  `APR_CHILD_DONE`
  `70005`
  `public static final int`
  `APR_CHILD_NOTDONE`
  `70006`
  `public static final int`
  `APR_DETACH`
  `70003`
  `public static final int`
  `APR_EABOVEROOT`
  `20023`
  `public static final int`
  `APR_EABSOLUTE`
  `20020`
  `public static final int`
  `APR_EBADDATE`
  `20004`
  `public static final int`
  `APR_EBADIP`
  `20016`
  `public static final int`
  `APR_EBADMASK`
  `20017`
  `public static final int`
  `APR_EBADPATH`
  `20024`
  `public static final int`
  `APR_EBUSY`
  `70025`
  `public static final int`
  `APR_EDSOOPEN`
  `20019`
  `public static final int`
  `APR_EGENERAL`
  `20014`
  `public static final int`
  `APR_EINCOMPLETE`
  `20022`
  `public static final int`
  `APR_EINIT`
  `70022`
  `public static final int`
  `APR_EINVALSOCK`
  `20005`
  `public static final int`
  `APR_EMISMATCH`
  `70024`
  `public static final int`
  `APR_ENODIR`
  `20008`
  `public static final int`
  `APR_ENOLOCK`
  `20009`
  `public static final int`
  `APR_ENOPOLL`
  `20010`
  `public static final int`
  `APR_ENOPOOL`
  `20002`
  `public static final int`
  `APR_ENOPROC`
  `20006`
  `public static final int`
  `APR_ENOSHMAVAIL`
  `20015`
  `public static final int`
  `APR_ENOSOCKET`
  `20011`
  `public static final int`
  `APR_ENOSTAT`
  `20001`
  `public static final int`
  `APR_ENOTENOUGHENTROPY`
  `20028`
  `public static final int`
  `APR_ENOTHDKEY`
  `20013`
  `public static final int`
  `APR_ENOTHREAD`
  `20012`
  `public static final int`
  `APR_ENOTIME`
  `20007`
  `public static final int`
  `APR_ENOTIMPL`
  `70023`
  `public static final int`
  `APR_EOF`
  `70014`
  `public static final int`
  `APR_EPATHWILD`
  `20025`
  `public static final int`
  `APR_EPROC_UNKNOWN`
  `20027`
  `public static final int`
  `APR_ERELATIVE`
  `20021`
  `public static final int`
  `APR_ESYMNOTFOUND`
  `20026`
  `public static final int`
  `APR_FILEBASED`
  `70020`
  `public static final int`
  `APR_INCHILD`
  `70001`
  `public static final int`
  `APR_INCOMPLETE`
  `70008`
  `public static final int`
  `APR_INPARENT`
  `70002`
  `public static final int`
  `APR_KEYBASED`
  `70021`
  `public static final int`
  `APR_NOTDETACH`
  `70004`
  `public static final int`
  `APR_NOTFOUND`
  `70015`
  `public static final int`
  `APR_OS_ERRSPACE_SIZE`
  `50000`
  `public static final int`
  `APR_OS_START_CANONERR`
  `620000`
  `public static final int`
  `APR_OS_START_EAIERR`
  `670000`
  `public static final int`
  `APR_OS_START_ERROR`
  `20000`
  `public static final int`
  `APR_OS_START_STATUS`
  `70000`
  `public static final int`
  `APR_OS_START_SYSERR`
  `720000`
  `public static final int`
  `APR_OS_START_USEERR`
  `120000`
  `public static final int`
  `APR_OS_START_USERERR`
  `120000`
  `public static final int`
  `APR_SUCCESS`
  `0`
  `public static final int`
  `APR_TIMEUP`
  `70007`
  `public static final int`
  `EAGAIN`
  `120002`
  `public static final int`
  `EINPROGRESS`
  `120004`
  `public static final int`
  `EINTR`
  `120003`
  `public static final int`
  `ETIMEDOUT`
  `120005`
  `public static final int`
  `TIMEUP`
  `120001`
- org.apache.tomcat.jni.Time
  Modifier and Type
  Constant Field
  Value
  `public static final long`
  `APR_MSEC_PER_USEC`
  `1000L`
  `public static final long`
  `APR_USEC_PER_SEC`
  `1000000L`

- org.apache.tomcat.util.bcel.Const
  Modifier and Type
  Constant Field
  Value
  `public static final short`
  `ACC_ABSTRACT`
  `1024`
  `public static final short`
  `ACC_ANNOTATION`
  `8192`
  `public static final short`
  `ACC_FINAL`
  `16`
  `public static final short`
  `ACC_INTERFACE`
  `512`
  `public static final byte`
  `CONSTANT_Class`
  `0x7`
  `public static final byte`
  `CONSTANT_Double`
  `0x6`
  `public static final byte`
  `CONSTANT_Dynamic`
  `0x11`
  `public static final byte`
  `CONSTANT_Fieldref`
  `0x9`
  `public static final byte`
  `CONSTANT_Float`
  `0x4`
  `public static final byte`
  `CONSTANT_Integer`
  `0x3`
  `public static final byte`
  `CONSTANT_InterfaceMethodref`
  `0xb`
  `public static final byte`
  `CONSTANT_InvokeDynamic`
  `0x12`
  `public static final byte`
  `CONSTANT_Long`
  `0x5`
  `public static final byte`
  `CONSTANT_MethodHandle`
  `0xf`
  `public static final byte`
  `CONSTANT_Methodref`
  `0xa`
  `public static final byte`
  `CONSTANT_MethodType`
  `0x10`
  `public static final byte`
  `CONSTANT_Module`
  `0x13`
  `public static final byte`
  `CONSTANT_NameAndType`
  `0xc`
  `public static final byte`
  `CONSTANT_Package`
  `0x14`
  `public static final byte`
  `CONSTANT_String`
  `0x8`
  `public static final byte`
  `CONSTANT_Utf8`
  `0x1`
  `public static final int`
  `JVM_CLASSFILE_MAGIC`
  `-889275714`
  `public static final short`
  `MAJOR_22`
  `66`
  `public static final short`
  `MAJOR_23`
  `67`
  `public static final short`
  `MAJOR_24`
  `68`
  `public static final short`
  `MAJOR_25`
  `69`
  `public static final short`
  `MAJOR_26`
  `70`
  `public static final int`
  `MAX_ARRAY_DIMENSIONS`
  `255`
  `public static final short`
  `MINOR_22`
  `0`
  `public static final short`
  `MINOR_23`
  `0`
  `public static final short`
  `MINOR_24`
  `0`
  `public static final short`
  `MINOR_25`
  `0`
  `public static final short`
  `MINOR_26`
  `0`

- org.apache.tomcat.util.bcel.classfile.ElementValue
  Modifier and Type
  Constant Field
  Value
  `public static final byte`
  `ANNOTATION`
  `0x40`
  `public static final byte`
  `ARRAY`
  `0x5b`
  `public static final byte`
  `CLASS`
  `0x63`
  `public static final byte`
  `ENUM_CONSTANT`
  `0x65`
  `public static final byte`
  `PRIMITIVE_BOOLEAN`
  `0x5a`
  `public static final byte`
  `PRIMITIVE_BYTE`
  `0x42`
  `public static final byte`
  `PRIMITIVE_CHAR`
  `0x43`
  `public static final byte`
  `PRIMITIVE_DOUBLE`
  `0x44`
  `public static final byte`
  `PRIMITIVE_FLOAT`
  `0x46`
  `public static final byte`
  `PRIMITIVE_INT`
  `0x49`
  `public static final byte`
  `PRIMITIVE_LONG`
  `0x4a`
  `public static final byte`
  `PRIMITIVE_SHORT`
  `0x53`
  `public static final byte`
  `STRING`
  `0x73`

- org.apache.tomcat.util.buf.AbstractChunk
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ARRAY_MAX_SIZE`
  `2147483639`
- org.apache.tomcat.util.buf.Asn1Parser
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `TAG_ATTRIBUTE_BASE`
  `160`
  `public static final int`
  `TAG_INTEGER`
  `2`
  `public static final int`
  `TAG_NULL`
  `5`
  `public static final int`
  `TAG_OCTET_STRING`
  `4`
  `public static final int`
  `TAG_OID`
  `6`
  `public static final int`
  `TAG_SEQUENCE`
  `48`
  `public static final int`
  `TAG_UTF8STRING`
  `12`
- org.apache.tomcat.util.buf.B2CConverter
  Modifier and Type
  Constant Field
  Value
  `protected static final int`
  `LEFTOVER_SIZE`
  `9`
- org.apache.tomcat.util.buf.MessageBytes
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `T_BYTES`
  `2`
  `public static final int`
  `T_CHARS`
  `3`
  `public static final int`
  `T_NULL`
  `0`
  `public static final int`
  `T_STR`
  `1`

- org.apache.tomcat.util.codec.binary.BaseNCodec
  Modifier and Type
  Constant Field
  Value
  `protected static final int`
  `MASK_8BITS`
  `255`
  `public static final int`
  `MIME_CHUNK_SIZE`
  `76`
  `protected static final byte`
  `PAD_DEFAULT`
  `0x3d`

- org.apache.tomcat.util.collections.SynchronizedQueue<T>
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_SIZE`
  `128`
- org.apache.tomcat.util.collections.SynchronizedStack<T>
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_SIZE`
  `128`

- org.apache.tomcat.util.compat.JreCompat
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `USE_CANON_CACHES_CMD_ARG`
  `"-Dsun.io.useCanonCaches="`

- org.apache.tomcat.util.descriptor.XmlIdentifiers
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DATATYPES_PUBLIC`
  `"datatypes"`
  `public static final String`
  `JAVAEE_1_4_NS`
  `"http://java.sun.com/xml/ns/j2ee"`
  `public static final String`
  `JAVAEE_5_NS`
  `"http://java.sun.com/xml/ns/javaee"`
  `public static final String`
  `JAVAEE_6_NS`
  `"http://java.sun.com/xml/ns/javaee"`
  `public static final String`
  `JAVAEE_7_NS`
  `"http://xmlns.jcp.org/xml/ns/javaee"`
  `public static final String`
  `JAVAEE_8_NS`
  `"http://xmlns.jcp.org/xml/ns/javaee"`
  `public static final String`
  `TLD_11_PUBLIC`
  `"-//Sun Microsystems, Inc.//DTD JSP Tag Library 1.1//EN"`
  `public static final String`
  `TLD_11_SYSTEM`
  `"http://java.sun.com/dtd/web-jsptaglibrary_1_1.dtd"`
  `public static final String`
  `TLD_12_PUBLIC`
  `"-//Sun Microsystems, Inc.//DTD JSP Tag Library 1.2//EN"`
  `public static final String`
  `TLD_12_SYSTEM`
  `"http://java.sun.com/dtd/web-jsptaglibrary_1_2.dtd"`
  `public static final String`
  `TLD_20_XSD`
  `"http://java.sun.com/xml/ns/j2ee/web-jsptaglibrary_2_0.xsd"`
  `public static final String`
  `TLD_21_XSD`
  `"http://java.sun.com/xml/ns/javaee/web-jsptaglibrary_2_1.xsd"`
  `public static final String`
  `WEB_22_PUBLIC`
  `"-//Sun Microsystems, Inc.//DTD Web Application 2.2//EN"`
  `public static final String`
  `WEB_22_SYSTEM`
  `"http://java.sun.com/dtd/web-app_2_2.dtd"`
  `public static final String`
  `WEB_23_PUBLIC`
  `"-//Sun Microsystems, Inc.//DTD Web Application 2.3//EN"`
  `public static final String`
  `WEB_23_SYSTEM`
  `"http://java.sun.com/dtd/web-app_2_3.dtd"`
  `public static final String`
  `WEB_24_XSD`
  `"http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd"`
  `public static final String`
  `WEB_25_XSD`
  `"http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd"`
  `public static final String`
  `WEB_30_XSD`
  `"http://java.sun.com/xml/ns/javaee/web-app_3_0.xsd"`
  `public static final String`
  `WEB_31_XSD`
  `"http://xmlns.jcp.org/xml/ns/javaee/web-app_3_1.xsd"`
  `public static final String`
  `WEB_40_XSD`
  `"http://xmlns.jcp.org/xml/ns/javaee/web-app_4_0.xsd"`
  `public static final String`
  `WEB_FRAGMENT_30_XSD`
  `"http://java.sun.com/xml/ns/javaee/web-fragment_3_0.xsd"`
  `public static final String`
  `WEB_FRAGMENT_31_XSD`
  `"http://xmlns.jcp.org/xml/ns/javaee/web-fragment_3_1.xsd"`
  `public static final String`
  `WEB_FRAGMENT_40_XSD`
  `"http://xmlns.jcp.org/xml/ns/javaee/web-fragment_4_0.xsd"`
  `public static final String`
  `WEBSERVICES_11_XSD`
  `"http://www.ibm.com/webservices/xsd/j2ee_web_services_1_1.xsd"`
  `public static final String`
  `WEBSERVICES_12_XSD`
  `"http://java.sun.com/xml/ns/javaeejavaee_web_services_1_2.xsd"`
  `public static final String`
  `WEBSERVICES_13_XSD`
  `"http://java.sun.com/xml/ns/javaee/javaee_web_services_1_3.xsd"`
  `public static final String`
  `WEBSERVICES_14_XSD`
  `"http://xmlns.jcp.org/xml/ns/javaee/javaee_web_services_1_4.xsd"`
  `public static final String`
  `XML_2001_XSD`
  `"http://www.w3.org/2001/xml.xsd"`
  `public static final String`
  `XSD_10_PUBLIC`
  `"-//W3C//DTD XMLSCHEMA 200102//EN"`

- org.apache.tomcat.util.descriptor.web.Constants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `WEB_XML_LOCATION`
  `"/WEB-INF/web.xml"`
- org.apache.tomcat.util.descriptor.web.FilterMap
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `ASYNC`
  `16`
  `public static final int`
  `ERROR`
  `1`
  `public static final int`
  `FORWARD`
  `2`
  `public static final int`
  `INCLUDE`
  `4`
  `public static final int`
  `REQUEST`
  `8`
- org.apache.tomcat.util.descriptor.web.SecurityConstraint
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ROLE_ALL_AUTHENTICATED_USERS`
  `"**"`
  `public static final String`
  `ROLE_ALL_ROLES`
  `"*"`
- org.apache.tomcat.util.descriptor.web.WebXml
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `ORDER_OTHERS`
  `"org.apache.catalina.order.others"`

- org.apache.tomcat.util.http.FastHttpDateFormat
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `RFC1123_DATE`
  `"EEE, dd MMM yyyy HH:mm:ss zzz"`
- org.apache.tomcat.util.http.Method
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CONNECT`
  `"CONNECT"`
  `public static final String`
  `COPY`
  `"COPY"`
  `public static final String`
  `DELETE`
  `"DELETE"`
  `public static final String`
  `GET`
  `"GET"`
  `public static final String`
  `HEAD`
  `"HEAD"`
  `public static final String`
  `LOCK`
  `"LOCK"`
  `public static final String`
  `MKCOL`
  `"MKCOL"`
  `public static final String`
  `MOVE`
  `"MOVE"`
  `public static final String`
  `OPTIONS`
  `"OPTIONS"`
  `public static final String`
  `PATCH`
  `"PATCH"`
  `public static final String`
  `POST`
  `"POST"`
  `public static final String`
  `PROPFIND`
  `"PROPFIND"`
  `public static final String`
  `PROPPATCH`
  `"PROPPATCH"`
  `public static final String`
  `PUT`
  `"PUT"`
  `public static final String`
  `TRACE`
  `"TRACE"`
  `public static final String`
  `UNLOCK`
  `"UNLOCK"`
- org.apache.tomcat.util.http.MimeHeaders
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_HEADER_SIZE`
  `8`

- org.apache.tomcat.util.http.fileupload.FileUploadBase
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ATTACHMENT`
  `"attachment"`
  `public static final String`
  `CONTENT_DISPOSITION`
  `"Content-disposition"`
  `public static final String`
  `CONTENT_LENGTH`
  `"Content-length"`
  `public static final String`
  `CONTENT_TYPE`
  `"Content-type"`
  `public static final int`
  `DEFAULT_PART_HEADER_SIZE_MAX`
  `512`
  `public static final String`
  `FORM_DATA`
  `"form-data"`
  `public static final String`
  `MULTIPART`
  `"multipart/"`
  `public static final String`
  `MULTIPART_FORM_DATA`
  `"multipart/form-data"`
  `public static final String`
  `MULTIPART_MIXED`
  `"multipart/mixed"`
- org.apache.tomcat.util.http.fileupload.IOUtils
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `EOF`
  `-1`
- org.apache.tomcat.util.http.fileupload.MultipartStream
  Modifier and Type
  Constant Field
  Value
  `public static final byte`
  `CR`
  `0xd`
  `public static final byte`
  `DASH`
  `0x2d`
  `protected static final int`
  `DEFAULT_BUFSIZE`
  `4096`
  `public static final byte`
  `LF`
  `0xa`

- org.apache.tomcat.util.http.fileupload.disk.DiskFileItem
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_CHARSET`
  `"ISO-8859-1"`
- org.apache.tomcat.util.http.fileupload.disk.DiskFileItemFactory
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_SIZE_THRESHOLD`
  `10240`

- org.apache.tomcat.util.http.fileupload.util.Streams
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `DEFAULT_BUFFER_SIZE`
  `8192`

- org.apache.tomcat.util.http.parser.Priority
  Modifier and Type
  Constant Field
  Value
  `public static final boolean`
  `DEFAULT_INCREMENTAL`
  `false`
  `public static final int`
  `DEFAULT_URGENCY`
  `3`

- org.apache.tomcat.util.net.Constants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CATALINA_BASE_PROP`
  `"catalina.base"`
  `public static final String`
  `SSL_PROTO_ALL`
  `"all"`
  `public static final String`
  `SSL_PROTO_SSLv2`
  `"SSLv2"`
  `public static final String`
  `SSL_PROTO_SSLv2Hello`
  `"SSLv2Hello"`
  `public static final String`
  `SSL_PROTO_SSLv3`
  `"SSLv3"`
  `public static final String`
  `SSL_PROTO_TLS`
  `"TLS"`
  `public static final String`
  `SSL_PROTO_TLSv1`
  `"TLSv1"`
  `public static final String`
  `SSL_PROTO_TLSv1_0`
  `"TLSv1.0"`
  `public static final String`
  `SSL_PROTO_TLSv1_1`
  `"TLSv1.1"`
  `public static final String`
  `SSL_PROTO_TLSv1_2`
  `"TLSv1.2"`
  `public static final String`
  `SSL_PROTO_TLSv1_3`
  `"TLSv1.3"`
- org.apache.tomcat.util.net.NioEndpoint
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `OP_REGISTER`
  `256`
- org.apache.tomcat.util.net.SSLHostConfig
  Modifier and Type
  Constant Field
  Value
  `protected static final String`
  `DEFAULT_SSL_HOST_NAME`
  `"_default_"`
  `public static final String`
  `DEFAULT_TLS_CIPHERS`
  `"HIGH:!aNULL:!eNULL:!DES:!RC4:!MD5:!kRSA"`
  `public static final String`
  `DEFAULT_TLS_CIPHERS_12`
  `"HIGH:!aNULL:!eNULL:!DES:!RC4:!MD5:!kRSA"`
  `public static final String`
  `DEFAULT_TLS_CIPHERS_13`
  `"TLS_AES_256_GCM_SHA384:TLS_CHACHA20_POLY1305_SHA256:TLS_AES_128_GCM_SHA256"`
- org.apache.tomcat.util.net.SSLSupport
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `CERTIFICATE_KEY`
  `"javax.servlet.request.X509Certificate"`
  `public static final String`
  `CIPHER_SUITE_KEY`
  `"javax.servlet.request.cipher_suite"`
  `public static final String`
  `KEY_SIZE_KEY`
  `"javax.servlet.request.key_size"`
  `public static final String`
  `PROTOCOL_VERSION_KEY`
  `"org.apache.tomcat.util.net.secure_protocol_version"`
  `public static final String`
  `REQUESTED_CIPHERS_KEY`
  `"org.apache.tomcat.util.net.secure_requested_ciphers"`
  `public static final String`
  `REQUESTED_PROTOCOL_VERSIONS_KEY`
  `"org.apache.tomcat.util.net.secure_requested_protocol_versions"`
  `public static final String`
  `SESSION_ID_KEY`
  `"javax.servlet.request.ssl_session_id"`
  `public static final String`
  `SESSION_MGR`
  `"javax.servlet.request.ssl_session_mgr"`
- org.apache.tomcat.util.net.SSLUtilBase
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_KEY_ALIAS`
  `"tomcat"`

- org.apache.tomcat.util.net.openssl.OpenSSLConfCmd
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NO_OCSP_CHECK`
  `"NO_OCSP_CHECK"`
  `public static final String`
  `OCSP_SOFT_FAIL`
  `"OCSP_SOFT_FAIL"`
  `public static final String`
  `OCSP_TIMEOUT`
  `"OCSP_TIMEOUT"`
  `public static final String`
  `OCSP_VERIFY_FLAGS`
  `"OCSP_VERIFY_FLAGS"`

- org.apache.tomcat.util.scan.Constants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `JAR_EXT`
  `".jar"`
  `public static final String`
  `Package`
  `"org.apache.tomcat.util.scan"`
  `public static final String`
  `SCAN_JARS_PROPERTY`
  `"tomcat.util.scan.StandardJarScanFilter.jarsToScan"`
  `public static final String`
  `SKIP_JARS_PROPERTY`
  `"tomcat.util.scan.StandardJarScanFilter.jarsToSkip"`
  `public static final String`
  `WEB_INF_CLASSES`
  `"/WEB-INF/classes"`
  `public static final String`
  `WEB_INF_LIB`
  `"/WEB-INF/lib/"`
- org.apache.tomcat.util.scan.NonClosingJarInputStream
  Modifier and Type
  Constant Field
  Value
  `public static final int`
  `CENATT`
  `36`
  `public static final int`
  `CENATX`
  `38`
  `public static final int`
  `CENCOM`
  `32`
  `public static final int`
  `CENCRC`
  `16`
  `public static final int`
  `CENDSK`
  `34`
  `public static final int`
  `CENEXT`
  `30`
  `public static final int`
  `CENFLG`
  `8`
  `public static final int`
  `CENHDR`
  `46`
  `public static final int`
  `CENHOW`
  `10`
  `public static final int`
  `CENLEN`
  `24`
  `public static final int`
  `CENNAM`
  `28`
  `public static final int`
  `CENOFF`
  `42`
  `public static final long`
  `CENSIG`
  `33639248L`
  `public static final int`
  `CENSIZ`
  `20`
  `public static final int`
  `CENTIM`
  `12`
  `public static final int`
  `CENVEM`
  `4`
  `public static final int`
  `CENVER`
  `6`
  `public static final int`
  `ENDCOM`
  `20`
  `public static final int`
  `ENDHDR`
  `22`
  `public static final int`
  `ENDOFF`
  `16`
  `public static final long`
  `ENDSIG`
  `101010256L`
  `public static final int`
  `ENDSIZ`
  `12`
  `public static final int`
  `ENDSUB`
  `8`
  `public static final int`
  `ENDTOT`
  `10`
  `public static final int`
  `EXTCRC`
  `4`
  `public static final int`
  `EXTHDR`
  `16`
  `public static final int`
  `EXTLEN`
  `12`
  `public static final long`
  `EXTSIG`
  `134695760L`
  `public static final int`
  `EXTSIZ`
  `8`
  `public static final int`
  `LOCCRC`
  `14`
  `public static final int`
  `LOCEXT`
  `28`
  `public static final int`
  `LOCFLG`
  `6`
  `public static final int`
  `LOCHDR`
  `30`
  `public static final int`
  `LOCHOW`
  `8`
  `public static final int`
  `LOCLEN`
  `22`
  `public static final int`
  `LOCNAM`
  `26`
  `public static final long`
  `LOCSIG`
  `67324752L`
  `public static final int`
  `LOCSIZ`
  `18`
  `public static final int`
  `LOCTIM`
  `10`
  `public static final int`
  `LOCVER`
  `4`

- org.apache.tomcat.util.threads.Constants
  Modifier and Type
  Constant Field
  Value
  `public static final long`
  `DEFAULT_THREAD_RENEWAL_DELAY`
  `1000L`

- org.apache.tomcat.websocket.BasicAuthenticator
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `charsetparam`
  `"charset"`
  `public static final String`
  `schemeName`
  `"basic"`
- org.apache.tomcat.websocket.Constants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `ABNORMAL_SESSION_CLOSE_SEND_TIMEOUT_PROPERTY`
  `"org.apache.tomcat.websocket.ABNORMAL_SESSION_CLOSE_SEND_TIMEOUT"`
  `public static final String`
  `AUTHORIZATION_HEADER_NAME`
  `"Authorization"`
  `public static final String`
  `BLOCKING_SEND_TIMEOUT_PROPERTY`
  `"org.apache.tomcat.websocket.BLOCKING_SEND_TIMEOUT"`
  `public static final String`
  `CONNECTION_HEADER_NAME`
  `"Connection"`
  `public static final String`
  `CONNECTION_HEADER_VALUE`
  `"upgrade"`
  `public static final long`
  `DEFAULT_ABNORMAL_SESSION_CLOSE_SEND_TIMEOUT`
  `50L`
  `public static final long`
  `DEFAULT_BLOCKING_SEND_TIMEOUT`
  `20000L`
  `public static final int`
  `FOUND`
  `302`
  `public static final String`
  `HOST_HEADER_NAME`
  `"Host"`
  `public static final long`
  `IO_TIMEOUT_MS_DEFAULT`
  `5000L`
  `public static final String`
  `IO_TIMEOUT_MS_PROPERTY`
  `"org.apache.tomcat.websocket.IO_TIMEOUT_MS"`
  `public static final String`
  `LOCATION_HEADER_NAME`
  `"Location"`
  `public static final int`
  `MAX_REDIRECTIONS_DEFAULT`
  `20`
  `public static final String`
  `MAX_REDIRECTIONS_PROPERTY`
  `"org.apache.tomcat.websocket.MAX_REDIRECTIONS"`
  `public static final int`
  `MOVED_PERMANENTLY`
  `301`
  `public static final int`
  `MULTIPLE_CHOICES`
  `300`
  `public static final byte`
  `OPCODE_BINARY`
  `0x2`
  `public static final byte`
  `OPCODE_CLOSE`
  `0x8`
  `public static final byte`
  `OPCODE_CONTINUATION`
  `0x0`
  `public static final byte`
  `OPCODE_PING`
  `0x9`
  `public static final byte`
  `OPCODE_PONG`
  `0xa`
  `public static final byte`
  `OPCODE_TEXT`
  `0x1`
  `public static final String`
  `ORIGIN_HEADER_NAME`
  `"Origin"`
  `public static final String`
  `PROXY_AUTHENTICATE_HEADER_NAME`
  `"Proxy-Authenticate"`
  `public static final int`
  `PROXY_AUTHENTICATION_REQUIRED`
  `407`
  `public static final String`
  `PROXY_AUTHORIZATION_HEADER_NAME`
  `"Proxy-Authorization"`
  `public static final String`
  `READ_IDLE_TIMEOUT_MS`
  `"org.apache.tomcat.websocket.READ_IDLE_TIMEOUT_MS"`
  `public static final int`
  `SEE_OTHER`
  `303`
  `public static final String`
  `SESSION_CLOSE_TIMEOUT_PROPERTY`
  `"org.apache.tomcat.websocket.SESSION_CLOSE_TIMEOUT"`
  `public static final String`
  `SSL_CONTEXT_PROPERTY`
  `"org.apache.tomcat.websocket.SSL_CONTEXT"`
  `public static final String`
  `SSL_PROTOCOLS_PROPERTY`
  `"org.apache.tomcat.websocket.SSL_PROTOCOLS"`
  `public static final String`
  `SSL_TRUSTSTORE_PROPERTY`
  `"org.apache.tomcat.websocket.SSL_TRUSTSTORE"`
  `public static final String`
  `SSL_TRUSTSTORE_PWD_DEFAULT`
  `"changeit"`
  `public static final String`
  `SSL_TRUSTSTORE_PWD_PROPERTY`
  `"org.apache.tomcat.websocket.SSL_TRUSTSTORE_PWD"`
  `public static final int`
  `TEMPORARY_REDIRECT`
  `307`
  `public static final int`
  `UNAUTHORIZED`
  `401`
  `public static final String`
  `UPGRADE_HEADER_NAME`
  `"Upgrade"`
  `public static final String`
  `UPGRADE_HEADER_VALUE`
  `"websocket"`
  `public static final int`
  `USE_PROXY`
  `305`
  `public static final String`
  `WRITE_IDLE_TIMEOUT_MS`
  `"org.apache.tomcat.websocket.WRITE_IDLE_TIMEOUT_MS"`
  `public static final String`
  `WS_AUTHENTICATION_PASSWORD`
  `"org.apache.tomcat.websocket.WS_AUTHENTICATION_PASSWORD"`
  `public static final String`
  `WS_AUTHENTICATION_PROXY_PASSWORD`
  `"org.apache.tomcat.websocket.WS_AUTHENTICATION_PROXY_PASSWORD"`
  `public static final String`
  `WS_AUTHENTICATION_PROXY_REALM`
  `"org.apache.tomcat.websocket.WS_AUTHENTICATION_PROXY_REALM"`
  `public static final String`
  `WS_AUTHENTICATION_PROXY_USER_NAME`
  `"org.apache.tomcat.websocket.WS_AUTHENTICATION_PROXY_USER_NAME"`
  `public static final String`
  `WS_AUTHENTICATION_REALM`
  `"org.apache.tomcat.websocket.WS_AUTHENTICATION_REALM"`
  `public static final String`
  `WS_AUTHENTICATION_USER_NAME`
  `"org.apache.tomcat.websocket.WS_AUTHENTICATION_USER_NAME"`
  `public static final String`
  `WS_EXTENSIONS_HEADER_NAME`
  `"Sec-WebSocket-Extensions"`
  `public static final String`
  `WS_KEY_HEADER_NAME`
  `"Sec-WebSocket-Key"`
  `public static final String`
  `WS_PROTOCOL_HEADER_NAME`
  `"Sec-WebSocket-Protocol"`
  `public static final String`
  `WS_VERSION_HEADER_NAME`
  `"Sec-WebSocket-Version"`
  `public static final String`
  `WS_VERSION_HEADER_VALUE`
  `"13"`
  `public static final String`
  `WWW_AUTHENTICATE_HEADER_NAME`
  `"WWW-Authenticate"`
- org.apache.tomcat.websocket.DigestAuthenticator
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `schemeName`
  `"digest"`
- org.apache.tomcat.websocket.PerMessageDeflate
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `NAME`
  `"permessage-deflate"`

- org.apache.tomcat.websocket.pojo.Constants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `POJO_METHOD_MAPPING_KEY`
  `"org.apache.tomcat.websocket.pojo.PojoEndpoint.methodMapping"`

- org.apache.tomcat.websocket.server.Constants
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `BINARY_BUFFER_SIZE_SERVLET_CONTEXT_INIT_PARAM`
  `"org.apache.tomcat.websocket.binaryBufferSize"`
  `public static final String`
  `ENFORCE_NO_ADD_AFTER_HANDSHAKE_CONTEXT_INIT_PARAM`
  `"org.apache.tomcat.websocket.noAddAfterHandshake"`
  `public static final String`
  `SERVER_CONTAINER_SERVLET_CONTEXT_ATTRIBUTE`
  `"javax.websocket.server.ServerContainer"`
  `public static final String`
  `TEXT_BUFFER_SIZE_SERVLET_CONTEXT_INIT_PARAM`
  `"org.apache.tomcat.websocket.textBufferSize"`